<?php
// Author: Emanuel Setio Dewo
// 16 April 2006
// Happy Easter - Selamat Paskah

// *** Functions ***
function DftrAkdLapKRSMhsw() {
  global $_HeaderPrn, $_lf;
  $whr = array();
  if (!empty($_SESSION['prodi'])) $whr[] = "m.ProdiID='$_SESSION[prodi]'";
  if (!empty($_SESSION['prid'])) $whr[] = "m.ProgramID='$_SESSION[prid]'";
  $_whr = implode(" and ", $whr);
  if (!empty($_whr)) $_whr = " and ".$_whr;
  // query
  $s = "select krs.KRSID, krs.MKID, krs.StatusKRSID, mk.MKKode, j.JenisJadwalID, 
    LEFT(mk.Nama, 25) as NamaMK, mk.SKS,
    krs.MhswID, LEFT(m.Nama, 15) as NamaMhsw,
    m.ProdiID, m.ProgramID, prd.Nama as PRD
    from krs krs
      left outer join mhsw m on krs.MhswID=m.MhswID
      left outer join prodi prd on m.ProdiID=prd.ProdiID
      left outer join mk mk on krs.MKID=mk.MKID
      left outer join jadwal j on krs.JadwalID=j.JadwalID
    where krs.StatusKRSID='A' and krs.TahunID='$_SESSION[tahun]' $_whr
    order by m.ProdiID, m.MhswID, mk.MKKode";
  $r = _query($s);
  // Buat file
  $nmf = "tmp/$_SESSION[_Login].dwoprn";
  $f = fopen($nmf, 'w');
  
  // parameter2
  $_prodi = GetaField('prodi', 'ProdiID', $_SESSION['prodi'], 'Nama');
  $_prid = GetaField('program', 'ProgramID', $_SESSION['prid'], 'Nama');
  $hal = 0; $brs = 0; 
  $maxbrs = 45;
  $maxkol = 90;
  $div = str_pad('-', $maxkol, '-').$_lf;
  $tgl = date('d-m-Y h:i');
  fwrite($f, chr(18).chr(27).chr(15));
  fwrite($f, chr(27).chr(67).chr(66)); // --> set 66 baris (kuarto)
  // Buat header
  $nmsesi = GetaField('tahun', "TahunID='$_SESSION[tahun]' and ProgramID='$prid' and ProdiID", 
    $_SESSION['prodi'], "Nama");
  $hdr = str_pad("*** Daftar KRS Mahasiswa $_SESSION[tahun] ***", $maxkol, ' ', STR_PAD_BOTH).$_lf;
  $hdr .= str_pad("Program: $_prid, Program Studi: $_prodi", $maxkol, ' ', STR_PAD_BOTH).$_lf;
  $hdr .= str_pad("Semester: $_SESSION[tahun]", 50, ' ') .
    str_pad("Tanggal : $tgl", 29, ' ', STR_PAD_LEFT) . $_lf . $div;
  $hdr .= "No. NPM          NAMA            SKS IPS  Kode    Nama Matakuliah               SKS".$_lf;
  $hdr .= $div;
  // Isinya
  fwrite($f, $hdr);
  $_npm = ''; $brs = 0;
  $prd = '';
  $jumlahrec = _num_rows($r);
  $jumhal = ceil($jumlahrec/$maxbrs);
  while ($w = _fetch_array($r)) {
    $brs++;
    // Tampilkan Prodi
    if ($prd != $w['ProdiID']) {
      $brs++;
      $prd = $w['ProdiID'];
      fwrite($f, "   " . $w['ProdiID'] . " - " . strtoupper($w['PRD']).$_lf);
    }
    // Tampilkan header
    if ($brs >= $maxbrs) {
      $hal++;
      $brs = 1;
      fwrite($f, $div);
      fwrite($f, str_pad("Hal. : ".$hal.'/'.$jumhal, 79, ' ', STR_PAD_LEFT).$_lf);
      fwrite($f, chr(12));
	    fwrite($f, $hdr);
    }
    if ($_npm != $w['MhswID']) {
      $_npm = $w['MhswID'];
      $_mhswid = $w['MhswID'];
      $_mhswnm = $w['NamaMhsw'];
      $_n++;
      $_strn = str_pad($_n, 3, '0', STR_PAD_LEFT);
      $_SKS = GetaField('krs', "TahunID='$_SESSION[tahun]' and MhswID", $w['MhswID'], "sum(SKS)")+0;
      $_IPS = '0,00';
    } 
    else {
      $_mhswid = '';
      $_mhswnm = '';
      $_str = '';
      $_strn = '   ';
      $_SKS = '  ';
      $_IPS = '    ';
    }
    // Tuliskan
    $jj = ($w['JenisJadwalID'] <> 'K')? " ($w[JenisJadwalID])" : '';
    $isi = $_strn . ' ';
    $isi .= str_pad($_mhswid, 12, ' ') . ' ';
    $isi .= str_pad($_mhswnm, 15, ' ') . ' ';
    $isi .= str_pad($_SKS, 3, ' ', STR_PAD_LEFT) . ' ';
    $isi .= str_pad($_IPS, 4, ' ', STR_PAD_LEFT) . ' ';
    $isi .= str_pad($w['MKKode'], 7) . ' ';
    $isi .= str_pad($w['NamaMK'].$jj, 30) . ' ';
    $isi .= str_pad($w['SKS'], 2, ' ', STR_PAD_LEFT) . ' ';
    $isi .= $_lf;
    fwrite($f, $isi);
  }
  $hal++;
  fwrite($f, $div);
  fwrite($f, str_pad("Dicetak oleh: ". $_SESSION['_Login'], 50, ' ') .
    str_pad("(Akhir Laporan) Hal. : ".$hal.'/'.$jumhal, 29, ' ', STR_PAD_LEFT));
  // Tutup & tampilkan
  fwrite($f, chr(12));
  fclose($f);
  TampilkanFileDWOPRN($nmf, 'akd.lap');
}

// *** Parameters ***
$tahun = GetSetVar('tahun');
$prodi = GetSetVar('prodi');
$prid = GetSetVar('prid');

// *** Main ***
TampilkanJudul("Daftar KRS Mahasiswa");
TampilkanTahunProdiProgram('akd.lap.krsmhsw', 'DftrAkdLapKRSMhsw');
if (!empty($tahun)) DftrAkdLapKRSMhsw();
?>
