<?php
// Author: Emanuel Setio Dewo
// 26 April 2006
// www.sisfokampus.net

// *** Functions ***
function Daftar() {
  global $_lf;
  $whr = array();
  if (!empty($_SESSION['prodi'])) $whr[] = "m.ProdiID='$_SESSION[prodi]'";
  if (!empty($_SESSION['prid'])) $whr[] = "m.ProgramID='$_SESSION[prid]'";
  $_whr = implode(" and ", $whr);
  if (!empty($_whr)) $_whr = " and ". $_whr;
  // Query
  $s = "select m.MhswID, LEFT(m.Nama, 25) as Nama, m.IPK, m.TotalSKS, m.BatasStudi, m.Telepon, 
      LEFT(m.Alamat, 30) as Alamat,
      m.AsalSekolah, LEFT(asek.Nama, 30) as ASEK
    from khs 
      left outer join mhsw m on khs.MhswID=m.MhswID
      left outer join asalsekolah asek on m.AsalSekolah=asek.SekolahID
    where khs.TahunID='$_SESSION[tahun]' $_whr
    order by khs.MhswID ";
  //echo "<pre>$s</pre>";
  $r = _query($s);
    // Buat file
  $MaxCol = 114;
  $nmf = "tmp/$_SESSION[_Login].dwoprn";
  $f = fopen($nmf, 'w');
  fwrite($f, chr(27).chr(15));
  $div = str_pad('-', $MaxCol, '-').$_lf;
  // parameter2
  $_prodi = GetaField('prodi', 'ProdiID', $_SESSION['prodi'], 'Nama');
  $_prid = GetaField('program', 'ProgramID', $_SESSION['prid'], 'Nama');
  $n = 0; $hal = 1;
  $brs = 0;
  $maxbrs = 60;
  $maxkol = 112;
  // Buat header
  $hdr = str_pad("*** Daftar Mahasiswa ***", $MaxCol, ' ', STR_PAD_BOTH) . $_lf.$_lf;
  $hdr .= str_pad("Program: $_prid, Program Studi: $_prodi", $maxkol, ' ', STR_PAD_BOTH).$_lf;
  $hdr .= $div;
  $hdr .= "No.  NPM          Nama                      Asal Sekolah                  Telepon         Alamat".$_lf.$div;
  fwrite($f, $hdr);
  // Tampilkan
  while ($w = _fetch_array($r)) {
    $n++; $brs++;
    if ($brs > $maxbrs) {
      $hal++; $brs =1;
	  fwrite($f, chr(12).$_lf);
      fwrite($f, $hdr);
    }
    $isi = str_pad($n.'.', 4, ' ') . ' ' .
      str_pad($w['MhswID'], 12) . ' '.
      str_pad($w['Nama'], 25) . ' '.
      str_pad($w['ASEK'], 30, ' ').
      str_pad($w['Telepon'], 15) .' '.
      str_pad($w['Alamat'], 30, ' '). 
      $_lf;
    fwrite($f, $isi);
  }
  fwrite($f, $div);
  fwrite($f, str_pad("Akhir laporan", 114, ' ', STR_PAD_LEFT).$_lf);
  fwrite($f, str_pad("Dicetak oleh : ".$_SESSION['_Login'],87,' ').str_pad("Dicetak : ".date("d-m-Y H:i"),27,' ').$_lf);
  fwrite($f,chr(12).$_lf);
  fclose($f);
  TampilkanFileDWOPRN($nmf, "akd.lap");
}

// *** Parameters ***
$tahun = GetSetVar('tahun');
$prodi = GetSetVar('prodi');
$prid = GetSetVar('prid');

// *** Main ***
TampilkanJudul("Daftar Mahasiswa");
TampilkanTahunProdiProgram('akd.lap.mhswakd', 'Daftar');
if (!empty($tahun)) Daftar();
?>
