<?php
// Author: Emanuel Setio Dewo
// 18 July 2006
// www.sisfokampus.net
session_start();
include "db.mysql.php";
include_once "connectdb.php";
include_once "dwo.lib.php";
include_once "parameter.php";
Cetak();
include_once "disconnectdb.php";

function Cetak() {
  global $arrBulan;
  $mxb = 60;
  $mxc = 144;
  $g = chr(13).chr(10);
  $grs = str_pad('-', $mxc, '-').$g;
  // parameter
  $tahun = $_SESSION['tahun'];
  $DosenID = $_SESSION['DosenID'];
  $prodi = $_SESSION['prodi'];
  $PeriodeMinggu = $_SESSION['PeriodeMinggu'];
  $PeriodeBulan = $_SESSION['PeriodeBulan'];
  $PeriodeTahun = $_SESSION['PeriodeTahun'];
  $bulan = $arrBulan[$PeriodeBulan+0];
  
  // buat file
  $nmf = "tmp/$_SESSION[_Login].dwoprn";
  $f = fopen($nmf, 'w');
  fwrite($f, str_pad('Daftar Honor Dosen', $mxc, ' ', STR_PAD_BOTH).$g.
    str_pad("Minggu: $PeriodeMinggu, Bulan: $bulan, Tahun: $PeriodeTahun", $mxc, ' ', STR_PAD_BOTH).$g.
    $grs.
    "No. Kode  Nama Dosen                           T.Jab1      T.Jab2".
                                           "       T.SKS   Transport".
                                           "     T.Paket    Tambahan".
                                           "    Potongan Pajak".
                                           "       Total".
    $g.$grs);
  
  // Data
  $s = "select hd.*, LEFT(d.Nama, 30) as DSN
    from honordosen hd
      left outer join dosen d on hd.DosenID=d.Login
    where hd.Tahun='$PeriodeTahun'
      and hd.Bulan='$PeriodeBulan'
      and hd.Minggu='$PeriodeMinggu'
    order by d.Nama";
  $r = _query($s); $_TOT = 0; $n = 0;
  $_tj1 = 0; $_tj2 = 0; $_tsk = 0; $_ttr = 0; $_ttp = 0; $_tam = 0; $_tpo = 0;
  while ($w = _fetch_array($r)) {
    $n++;
    $TOT = $w['TunjanganJabatan1'] + $w['TunjanganJabatan2'] +
      $w['TunjanganSKS'] + $w['TunjanganTransport'] +
      $w['TunjanganTetap'] + $w['Tambahan'] - $w['Potongan'];
    $TOT1 = $TOT - ($TOT * $w['Pajak']/100);
    $_TOT += $TOT1;
    $strTOT1 = number_format($TOT1);
    $tj1 = number_format($w['TunjanganJabatan1']);
    $tj2 = number_format($w['TunjanganJabatan2']);
    $tsk = number_format($w['TunjanganSKS']);
    $ttr = number_format($w['TunjanganTransport']);
    $ttp = number_format($w['TunjanganTetap']);
    $tam = number_format($w['Tambahan']);
    $tpo = number_format($w['Potongan']);

    $_tj1 += $w['TunjanganJabatan1'];
    $_tj2 += $w['TunjanganJabatan2'];
    $_tsk += $w['TunjanganSKS'];
    $_ttr += $w['TunjanganTransport'];
    $_ttp += $w['TunjanganTetap'];
    $_tam += $w['Tambahan'];
    $_tpo += $w['Potongan'];
    fwrite($f, 
      str_pad($n, 4).
      str_pad($w['DosenID'], 6).
      str_pad($w['DSN'], 31).
      str_pad($tj1, 12, ' ', STR_PAD_LEFT).
      str_pad($tj2, 12, ' ', STR_PAD_LEFT).
      str_pad($tsk, 12, ' ', STR_PAD_LEFT).
      str_pad($ttr, 12, ' ', STR_PAD_LEFT).
      str_pad($ttp, 12, ' ', STR_PAD_LEFT).
      str_pad($tam, 12, ' ', STR_PAD_LEFT).
      str_pad($tpo, 12, ' ', STR_PAD_LEFT).
      str_pad($w['Pajak'].'%', 6, ' ', STR_PAD_LEFT).
      str_pad($strTOT1, 12, ' ', STR_PAD_LEFT).
      $g);
  }
  $tj1 = number_format($_tj1);
  $tj2 = number_format($_tj2);
  $tsk = number_format($_tsk);
  $ttr = number_format($_ttr);
  $ttp = number_format($_ttp);
  $tam = number_format($_tam);
  $tpo = number_format($_tpo);
  $TOT = number_format($_TOT);
  fwrite($f, $grs.
    str_pad("Total : ", 41, ' ', STR_PAD_LEFT).
      str_pad($tj1, 12, ' ', STR_PAD_LEFT).
      str_pad($tj2, 12, ' ', STR_PAD_LEFT).
      str_pad($tsk, 12, ' ', STR_PAD_LEFT).
      str_pad($ttr, 12, ' ', STR_PAD_LEFT).
      str_pad($ttp, 12, ' ', STR_PAD_LEFT).
      str_pad($tam, 12, ' ', STR_PAD_LEFT).
      str_pad($tpo, 12, ' ', STR_PAD_LEFT).
      str_pad(" ", 6, ' ', STR_PAD_LEFT).
      str_pad($TOT, 12, ' ', STR_PAD_LEFT).
      $g);
  
  // Tutup file
  fclose($f);
  include "dwoprn.php";
  DownloadDWOPRN($nmf);
}
?>
