<?php
// Author: Emanuel Setio Dewo
// 17 April 2006
// Selamat Ulang Tahun Ibu

// *** Buat File ***
include_once "db.mysql.php";
include_once "connectdb.php";
include_once "dwo.lib.php";
include_once "parameter.php";
Cetak();
include_once "disconnectdb.php";

function Cetak() {
  global $_HeaderPrn, $_lf;
  $mhswid = $_REQUEST['mhswid'];
  $mhsw = GetFields("mhsw m
    left outer join program prg on m.ProgramID=prg.ProgramID
    left outer join prodi prd on m.ProdiID=prd.ProdiID
    left outer join fakultas f on prd.FakultasID=f.FakultasID", 
    'm.MhswID', $mhswid, 
    "m.MhswID, m.Nama, m.TempatLahir, m.TanggalLahir, m.PenasehatAkademik, 
    m.Alamat, m.Kota, m.KodePos,
    m.ProdiID, m.ProgramID,
    prd.Nama as PRD, prg.Nama as PRG, f.Nama as FAK");
  $tahun = $_REQUEST['tahun'];
  $khsid = $_REQUEST['khsid'];
  $khs = GetFields("khs", 'KHSID', $khsid, '*');
  //if ($khs['Cetak'] == 'N') CetakKSS1($tahun, $mhsw, $khs);
  //else GagalCetak($mhsw, $khs);
  CetakKSS1($tahun, $mhsw, $khs);
}
function CetakKSS1($tahun, $mhsw, $khs) {
  global $_HeaderPrn, $_lf;
  // Cek Status
  $stm = GetFields('statusmhsw', 'StatusMhswID', $khs['StatusMhswID'], '*');
  if ($stm['Nilai'] == 0) {
  }
  else {
    // Jika belum aktif, maka set status menjadi aktif
    $status = ($khs['StatusMhswID'] != 'A')? ", StatusMhswID='A' " : '';
    // Set kalau sudah dicetak
    $s = "update khs set Cetak='Y', KaliCetak=KaliCetak+1 $status
      where KHSID='$khs[KHSID]' ";
    $r = _query($s);
  }
  // Update biaya2
  $sb = "update bipotmhsw set Draft='N' 
    where MhswID='$mhsw[MhswID]' and TahunID='$khs[TahunID]' and Draft='Y' ";
  $rb = _query($sb);
  
  // Buat file
  $nmf = "tmp/$_SESSION[_Login].dwoprn";
  $f = fopen($nmf, 'w');
  fwrite($f, chr(18).chr(27).chr(15).chr(27).chr(67).chr(18));
  // Isinya
  $brs = 14;
  $arr = array();
  $div = str_pad('', 154, '-'). $_lf;
  for ($i=0; $i <= $brs; $i++) $arr[$i] = '';
  TuliskanDataUtama($mhsw, $khs, $arr);
  if ($stm['Nilai'] == 0) TuliskanStatusMhsw($mhsw, $khs, $arr, $stm);
  else TuliskanIsiKRS($mhsw, $khs, $arr);
  TuliskanKanan($mhsw, $khs, $arr);
  
  for ($i=0; $i <= $brs; $i++) fwrite($f, $arr[$i].$_lf);
  fwrite($f, chr(12));
  fclose($f);
  include "dwoprn.php";
  DownloadDWOPRN($nmf);
}
function GagalCetak($mhsw, $khs) {
  echo ErrorMsg("Tidak Dapat Dicetak",
    "Tidak dapat mencetak Kartu Studi Semester (KSS) karena sudah pernah dicetak. <br />
    Sudah pernah dicetak <b>$khs[KaliCetak]</b> kali.
    <hr size=1 color=silver>
    Pilihan: <input type=button name='Tutup' value='Tutup' onClick='javascript:window.close()'>");
}
function TuliskanDataUtama($mhsw, $khs, &$arr) {
  $mrg = str_pad(' ', 15);
  $TGL = FormatTanggal($mhsw['TanggalLahir']);
  $SKRG = date('d-m-Y');
  $thn = GetFields("tahun", "ProgramID='$mhsw[ProgramID]' and ProdiID='$mhsw[ProdiID]' and TahunID",
    $khs['TahunID'], "Nama, date_format(TglNilai, '%d-%m-%Y') as TNIL");
  $rek = GetaField('pejabat', 'JabatanID', 'REKTOR', 'Nama');
  $pa = GetaField('dosen d', "d.Login", $mhsw['PenasehatAkademik'], "concat(d.Nama, ', ', d.Gelar)");
  $arr[0] .= $mrg . str_pad($thn['Nama'], 59);
  $arr[1] .= $mrg . str_pad($mhsw['MhswID'], 59);
  $arr[2] .= $mrg . str_pad($mhsw['Nama'] . ', '. $TGL, 59);
  $arr[3] .= $mrg . str_pad($mhsw['TempatLahir'], 59);
  $arr[4] .= $mrg . str_pad($mhsw['Alamat'] . ' '. $mhsw['KodePos'], 59);
  $arr[5] .= $mrg . str_pad($mhsw['Kota'], 59);
  $arr[6] .= $mrg . str_pad($mhsw['FAK']. '/ '. $mhsw['PRD'], 59);
  $arr[7] .= $mrg . str_pad($pa, 59);
  $arr[8] .= $mrg . str_pad(' ', 30) . str_pad($SKRG, 29);
  $arr[9] .= str_pad(' ', 74);
  $arr[10] .= str_pad('   ' . $thn['TNIL'], 74);
  $arr[11] .= str_pad(' ', 74);
  //$arr[11] .= str_pad(' ', 74); 
  $arr[12] .= str_pad(' ', 74);
  $arr[13] .= str_pad($rek, 65, ' ', STR_PAD_LEFT);
}
function TuliskanStatusMhsw($mhsw, $khs, &$arr, $stm) {
  $arr[0] .= str_pad($stm['Nama'], 68, ' ', STR_PAD_BOTH);
  for ($i = 1; $i < 13; $i++) $arr[$i] .= str_pad(' ', 68, ' ');
}
function TuliskanIsiKRS($mhsw, $khs, &$arr) {
  $s = "select j.MKKode, LEFT(j.Nama, 39) as NM, j.SKS, j.JenisJadwalID
    from krs krs
      left outer join jadwal j on krs.JadwalID=j.JadwalID
    where krs.KHSID='$khs[KHSID]' and j.JenisJadwalID='K'
    order by j.MKKode";
  $r = _query($s);
  $i = 0; $sks = 0;
  while ($w = _fetch_array($r)) {
    $sks += $w['SKS'];
    $arr[$i] .= str_pad($w['MKKode'], 10) .
      str_pad($w['NM'], 40) .
      str_pad($w['SKS'], 6). 
      str_pad($w['JenisJadwalID'], 12, ' ');
    $i++;
  }
  for ($j=$i; $j < 13; $j++) $arr[$j] .= str_pad(' ', 68, ' ');
  $arr[13] .= str_pad($sks, 60, ' ', STR_PAD_LEFT);
}
function TuliskanKanan($mhsw, $khs, &$arr) {
  $arr[6] .= $mhsw['MhswID'];
  $arr[7] .= $mhsw['Nama'];
}
?>
