<?php
// Author: Emanuel Setio Dewo
// 18 April 2006

include "db.mysql.php";
include_once "connectdb.php";
include_once "dwo.lib.php";
include_once "parameter.php";
PresensiMhsw();
include_once "disconnectdb.php";

function PresensiMhsw() {
  global $_lf;
  $JadwalID = $_REQUEST['JadwalID'];
  $jdwl = GetFields("jadwal", "JadwalID", $JadwalID, "*");
  $jns = GetaField("jenisjadwal", "JenisJadwalID", $jdwl['JenisJadwalID'], 'Nama');
  // Program Studi
  $arrprodi = explode('.', TRIM($jdwl['ProdiID'], '.'));
  $strprodi = implode(',', $arrprodi);
  $prodi = (empty($strprodi))? "" : GetArrayTable("select Nama from prodi where ProdiID in ($strprodi) order by ProdiID",
    "ProdiID", "Nama", ", ");
  // Dosen
  $arrdosen = explode('.', TRIM($jdwl['DosenID'], '.'));
  $strdosen = implode(',', $arrdosen);
  $dosen = (empty($strdosen))? '' : GetArrayTable("select Nama from dosen where Login in ($strdosen) order by Nama",
      "Login", "Nama", ', ');
  // Buat file
  $nmf = "tmp/$_SESSION[_Login].dwoprn";
  $f = fopen($nmf, 'w');
  $div = str_pad('-', 79, '-').$_lf;
  // Buat Header
  $hdr = str_pad("*** Daftar Absensi Mahasiswa per Matakuliah ***", 79, ' ', STR_PAD_BOTH).$_lf.$_lf.
    "Semester     : " . $jdwl['TahunID'] . $_lf.
    "Fak/Jur      : " . $prodi . $_lf.
    "Jenis Kuliah : " . $jns . $_lf.
    "Kode MK      : " . $jdwl['MKKode'] . ' - ' . $jdwl['Nama'] . ' ' . $jdwl['NamaKelas'] .$_lf.
    "Dosen        : " . $dosen . $_lf.
    "Kehadiran    : " . $jdwl['Kehadiran'] . $_lf.
    "Catatan      : NPM yang tidak tercetak berarti 100% hadir ". $_lf.
    $div .
    "No. NPM            Mahasiswa                               % Hadir " . $_lf.
    $div;
  // Ambil isi
  fwrite($f, $hdr);
  $s = "select krs.KRSID, krs.MhswID, m.Nama
    from krs krs
      left outer join mhsw m on krs.MhswID=m.MhswID
    where krs.JadwalID='$JadwalID' order by krs.MhswID";
  $r = _query($s); $n = 0;
  while ($w = _fetch_array($r)) {
    $hadir = GetaField("presensimhsw", "KRSID", $w['KRSID'], "sum(Nilai)")+0;
    if ($hadir < $jdwl['Kehadiran']) {
      $n++;
      $prsnhadir = ($jdwl['Kehadiran'] == 0)? 0 : $hadir/$jdwl['Kehadiran']*100;
      fwrite($f, str_pad($n, 4, ' ') .
        str_pad($w['MhswID'], 15) .
        str_pad($w['Nama'], 40, ' ') .
        str_pad(number_format($prsnhadir, 2), 5, ' ', STR_PAD_LEFT). ' %'.
        $_lf);
    }
  }
  
  // Tutup file
  fclose($f);
  if ($_REQUEST['prn'] == 1) {
    include_once "dwoprn.php";
    DownloadDWOPRN($nmf);
  }
  else TampilkanFileDWOPRN($nmf, "");
}
?>
