<?php
// Author: Emanuel Setio Dewo
// 06 April 2006

include "db.mysql.php";
include_once "connectdb.php";
include_once "dwo.lib.php";
include_once "parameter.php";
CetakSurat();
include_once "disconnectdb.php";

function CetakSurat() {
  global $_HeaderPrn;
  // data periode
  $TM = FormatTanggal($_REQUEST['TglDUMulai']);
  $TS = FormatTanggal($_REQUEST['TglDUSelesai']);
  $BY = FormatTanggal($_REQUEST['TglBayar']);
  $TT = FormatTanggal($_REQUEST['TglTangan']);
  // Ambil template
  $namatemplate = "template/$_REQUEST[tahunpssb].PSSB.txt";
  $ft = fopen($namatemplate, 'r');
  $tpl = fread($ft, filesize($namatemplate));
  fclose($ft);
  
  $nmf = "tmp/$_SESSION[_Login].dwoprn";  
  // Ambil semua parameter
  $pssbid = array();
  $pssbid = $_REQUEST['pssbid'];
  if (!empty($pssbid)) {
    $f = fopen($nmf, 'w');
    fwrite($f, $_HeaderPrn);
    // Buat surat beberapa sekaligus
    for ($i = 0; $i < sizeof($pssbid); $i++) {
      $pssb = GetFields("pssb p
        left outer join program prg on p.ProgramID=prg.ProgramID
        left outer join prodi prd on p.ProdiID=prd.ProdiID
        left outer join fakultas f on prd.FakultasID=f.FakultasID
        left outer join asalsekolah a on p.AsalSekolah=a.SekolahID", 
        'PSSBID', $pssbid[$i], 
        "p.*, prd.Nama as PRD, prg.Nama as PRG, f.Nama as FAK,
        a.Nama as AsalSekolah");
      
      // Ambil template
      $_t = $tpl. chr(12);
      $_t = str_replace('~PSSBID~', $pssb['PSSBID'], $_t);
      $_t = str_replace('~Nama~', $pssb['Nama'], $_t);
      $_t = str_replace('~AsalSekolah~', $pssb['AsalSekolah'], $_t);
      $_t = str_replace('~FAK~', $pssb['FAK'], $_t);
      $_t = str_replace('~PRD~', $pssb['PRD'], $_t);
      $_t = str_replace('~TglMulai~', $TM, $_t);
      $_t = str_replace('~TglSelesai~', $TS, $_t);
      $_t = str_replace('~BayarSelesai~', $BY, $_t);
      $_t = str_replace('~Tanggal~', $TT, $_t);
      // Ambil BIPOT default untuk program studi ybs
      $bipotid = GetaField('bipot', "Def='Y' and ProgramID='$pssb[ProgramID]' and ProdiID", 
        $pssb['ProdiID'], 'BIPOTID');
      // BIPOT
      $tot = 0;
      $bipot2 = GetBipot2($bipotid, $tot);
      $_t = str_replace('~BIPOT~', $bipot2, $_t);
      // Diskon
	    $cttDiskon = ($pssb['Diskon'] > 0)? GetDiskon($bipotid, $pssb['Diskon']) : '';
	    $_t = str_replace('~DISKON~', $cttDiskon, $_t);
      // Tuliskan ke file  
      fwrite($f, $_t);
    }
    fclose($f);
    if (empty($_REQUEST['prn'])) {
      TampilkanFileDWOPRN($nmf, '');
    }
    else {
      include_once "dwoprn.php";
      DownloadDWOPRN($nmf);
    }
  }
}
function GetDiskon($bipotid, $Diskon) {
  global $_lf;
  $s = "select b2.*, bn.Nama, bn.DefJumlah, bn.DefBesar, bn.Diskon
    from bipot2 b2
    left outer join bipotnama bn on b2.BIPOTNamaID=bn.BIPOTNamaID
    where b2.BIPOTID='$bipotid' and b2.SaatID=1
      and INSTR(b2.StatusAwalID, '.S.')>0
    order by b2.Prioritas";
  $r = _query($s); $total = 0;
  $a = "Berdasarkan hasil rapat, Anda dinyatakan mendapat potongan SPP sebesar ".$Diskon."%".$_lf;
  while ($w = _fetch_array($r)) {
    $jml = ($w['DefJumlah'] == 0)? 1 : $w['DefJumlah'];
    $bsr = ($w['Diskon'] == 'Y')? $w['Jumlah']-($w['Jumlah'] * $Diskon / 100) : $w['Jumlah'];
    $total += $jml * $bsr;
    //$a .= $jml . ' x '. $bsr . ' ' . (($w['Diskon']=='Y')? 'DISKON' : '').$_lf;
  }
  return $a .
    "sehingga Anda cukup membayar: Rp. ".number_format($total);
}
function GetBipot2($bipotid, &$tot) {
  global $_lf;
  $s0 = "select b2.*, bn.Nama, bn.DefJumlah, bn.DefBesar, bn.Diskon
    from bipot2 b2
    left outer join bipotnama bn on b2.BIPOTNamaID=bn.BIPOTNamaID
    where b2.BIPOTID='$bipotid' and b2.SaatID=1
      and INSTR(b2.StatusAwalID, '.S.')>0
    order by b2.Prioritas";
  $r0 = _query($s0);
  $thn = substr($w['PMBID'], 0, 4);
  $a = ''; $n = 0; $total = 0;
  while ($w0 = _fetch_array($r0)) {
    $n++;
    $a .= InsertBIPOT($n, $w0, $tot);
    $total += $tot;
  }
  $strtotal = str_pad(' ', 54, ' '). str_pad('-', 15, '-').$_lf;
  $strtotal .= str_pad('Total :', 54, ' ', STR_PAD_LEFT) .
    str_pad(number_format($total), 15, ' ', STR_PAD_LEFT);
  return $a . $strtotal;
}
function InsertBIPOT($n, $w, &$tot) {
  global $_lf;
  $a = str_pad($n, 2, ' ', STR_PAD_LEFT) .'. ';
  $a .= str_pad($w['Nama'], 30, ' ');
  if ($w['DefJumlah'] > 0) {
    $det = $w['DefJumlah']." x ".number_format($w['Jumlah']);
    $jml = $w['DefJumlah'] * $w['Jumlah'];
    $a .= str_pad($det, 15, ' ', STR_PAD_LEFT);
  }
  else {
    $a .= str_pad(' ', 15, ' ');
    $jml = $w['Jumlah'];
  }
  $tot = $jml;
  $a .= str_pad(number_format($jml), 20, ' ', STR_PAD_LEFT);
  return $a . $_lf;
}
?>
