<?php
// Author: Emanuel Setio Dewo
// 17 April 2006
// Selamat Ulang Tahun Ibu

// *** Functions ***
function Daftar() {
  global $_HeaderPrn, $_lf;
  $whr = array();
  if (!empty($_SESSION['prodi'])) $whr[] = "m.ProdiID='$_SESSION[prodi]'";
  if (!empty($_SESSION['prid'])) $whr[] = "m.ProgramID='$_SESSION[prid]'";
  $_whr = implode(" and ", $whr);
  if (!empty($_whr)) $_whr = " and ". $_whr;
  // Query
  $s = "select m.MhswID, m.Nama, sum(krs.SKS) as TSKS, m.IPK, m.BatasStudi
    from krs krs
      left outer join mhsw m on krs.MhswID=m.MhswID
    where krs.TahunID='$_SESSION[tahun]'
    $_whr
    group by krs.MhswID ";
  $r = _query($s);
  // Buat file
  $nmf = "tmp/$_SESSION[_Login].dwoprn";
  $f = fopen($nmf, 'w');
  $div = str_pad('-', 79, '-').$_lf;
  // parameter2
  $_prodi = GetaField('prodi', 'ProdiID', $_SESSION['prodi'], 'Nama');
  $_prid = GetaField('program', 'ProgramID', $_SESSION['prid'], 'Nama');
  $n = 0; $hal = 1;
  $brs = 0;
  $maxbrs = 55;
  $maxkol = 79;
  // Buat header
  $hdr = str_pad("*** Daftar Mahasiswa Terdaftar KRS ***", $maxkol, ' ', STR_PAD_BOTH) . $_lf;
  $hdr .= str_pad("Program: $_prid, Program Studi: $_prodi", $maxkol, ' ', STR_PAD_BOTH).$_lf;
  $hdr .= $div;
  $hdr .= "No.  NPM          Nama                     Ambil SKS   IPK  Batas Studi".$_lf.$div;
  fwrite($f, $hdr);
  // Tampilkan
  $jumlahrec = _num_rows($r);
  $jumhal = ceil($jumlahrec/$maxbrs);
  while ($w = _fetch_array($r)) {
    $n++;
	  $brs++;
    if($brs > $maxbrs){
		fwrite($f,str_pad('Halaman : '.$hal."/".$jumhal,10,' ').$_lf);
		fwrite($f, chr(12).$_lf);
		fwrite($f, $hdr);
		$hal++; $brs = 1;
	}
	$isi = str_pad($n.'.', 4, ' ') . ' ' .
      str_pad($w['MhswID'], 12) . ' '.
      str_pad($w['Nama'], 30) . ' '.
      str_pad($w['TSKS'], 3, ' ', STR_PAD_LEFT).' '.
      str_pad($w['IPK'], 6, ' ', STR_PAD_LEFT). ' '.
      str_pad($w['BatasStudi'], 6);
    fwrite($f, $isi.$_lf);
  }
  fwrite($f, str_pad('Halaman : '.$hal."/".$jumhal,10,' ').$_lf);
  fwrite($f,$_lf.$_lf.str_pad('Dicetak oleh : '.$_SESSION['_Login'],55,' ').str_pad('Dibuat : '.date("d-m-Y H:i"),29,' '));
  fwrite($f, chr(12));
  fclose($f);
  TampilkanFileDWOPRN($nmf, "akd.lap");
}


// *** Parameters ***
$tahun = GetSetVar('tahun');
$prodi = GetSetVar('prodi');
$prid = GetSetVar('prid');

// *** Main ***
TampilkanJudul("Daftar Mahasiswa Terdaftar KRS");
TampilkanTahunProdiProgram('akd.lap.dftrkrsmhsw', 'Daftar');
if (!empty($tahun)) Daftar();

?>
