<?php
// Author: Emanuel Setio Dewo
// 17 April 2006
// Selamat Ulang Tahun Ibu

// *** Buat File ***
include "db.mysql.php";
include_once "connectdb.php";
include_once "dwo.lib.php";
include_once "parameter.php";
Cetak();
include_once "disconnectdb.php";

function Cetak() {
  global $_lf;
  // Parameters
  $ctk = $_REQUEST['ctk']+0;
  $jdwlid = $_REQUEST['JadwalID'];
  $jdwl = GetFields("jadwal", 'JadwalID', $jdwlid, "*");
  if (empty($jdwl)) die("Data tidak ditemukan.");
  // Buat File
  $nmf = "tmp/$_SESSION[_Login].dwoprn";
  $f = fopen($nmf, 'w');
  $hal = 0;
  $n = 0; $brs = 0;
  $maxbaris = 20;
  
  // Daftar mhsw
  $s = "select m.MhswID, m.Nama, krs.KRSID
    from krs krs 
      left outer join mhsw m on krs.MhswID=m.MhswID
      left outer join khs khs on krs.KHSID=khs.KHSID
    where krs.JadwalID='$jdwlid' and khs.Cetak='Y'
    order by m.mhswid";
  $r = _query($s);
  $mrgisi = '         ';
  $jumrec = _num_rows($r);
  $jumhal = ceil($jumrec/$maxbaris);
  $hdr = BuatHeader($jdwl, $ctk, $hal,$jumhal);
  fwrite($f, $hdr);
  while ($w = _fetch_array($r)) {
    if ($brs >= $maxbaris) {
      fwrite($f, chr(12));
      fwrite($f, BuatHeader($jdwl, $ctk, $hal, $jumhal));
      $brs = 0;
    }
    $brs++; $n++;
    fwrite($f, $mrgisi . str_pad($n.'. ', 5) . $w['MhswID']. '   ' .$w['Nama']);
    // Jika UAS, cek jumlah kehadiran mhsw
    if ($ctk >= 1) {
      $hdr = GetaField('presensimhsw', "KRSID", $w['KRSID'], "sum(Nilai)")+0;
      if ($hdr < $jdwl['KehadiranMin']) {
        fwrite($f, chr(13) . str_pad('-', 50, '-') . " ($hdr/$jdwl[Kehadiran])");
      }
    }
    fwrite($f, $_lf.$_lf);
  }
  for ($i=$brs; $i<$maxbaris; $i++)
    fwrite($f, $mrgisi . str_pad(' ', 5) . "** Tidak diperkenankan menambah pada baris ini **" . $_lf.$_lf);
  fwrite($f, chr(12));
  fclose($f);
  TampilkanFileDWOPRN($nmf);
}
function BuatHeader($jdwl, $ctk, &$hal, $jumhal) {
  global $_lf, $arrUjian;
  $hal++;
  // data program
  $prg = TRIM($jdwl['ProgramID'], '.');
  $_prg = explode('.', $prg);
  $prg = $_prg[0];
  // data prodi
  $prd = TRIM($jdwl['ProdiID'], '.');
  $_prd = explode('.', $prd);
  $prd = $_prd[0];
  $prodi = GetaField('prodi', "ProdiID", $prd, "Nama");
  $nmsesi = GetaField("tahun", "ProdiID='$prd' and ProgramID='$prg' and TahunID", 
    $jdwl['TahunID'], 'Nama');
  // Dosen pengampu
  $arrdosen = explode('.', TRIM($jdwl['DosenID'], '.'));
  $strdosen = implode(',', $arrdosen);
  $dosen = (empty($strdosen))? '' : GetArrayTable("select Nama from dosen where Login in ($strdosen) order by Nama",
    "Login", "Nama", '<br />');
  $mrg = str_pad(' ', 26);
  $ctk = $_REQUEST['ctk']+0;
  if ($ctk == 0) {
    $hari = GetaField("hari", "HariID", $jdwl['HariID'], 'Nama');
    $JM = substr($jdwl['JamMulai'], 0, 5);
    $JS = substr($jdwl['JamSelesai'], 0, 5);
    $RG = $jdwl['RuangID'];
  }
  else {
    $nmujian = $arrUjian[$ctk];
    $hari = ">".FormatTanggal($jdwl[$nmujian."Tanggal"]); 
    $JM = substr($jdwl[$nmujian."JamMulai"], 0, 5);
    $JS = substr($jdwl[$nmujian."JamSelesai"], 0, 5);
    $RG = $jdwl[$nmujian."RuangID"];
  }
  $RES = ($jdwl['JenisJadwalID'] == 'R') ? '(Responsi)' : '';
  $a = chr(15) . $_lf.$_lf.$_lf.$_lf.$_lf.$_lf.
       $mrg . str_pad($nmsesi, 86) . $hari . $_lf .
       $mrg . str_pad($prodi, 86) . $JM . ' - ' . $JS .$_lf.
       $mrg . str_pad($jdwl['MKKode'].' - '.$jdwl['Nama'] . ' ' . 
         $jdwl['NamaKelas']. 
         ' ('.$jdwl['SKS'].' SKS) ' .$RES, 86). $RG.$_lf.
       $mrg . str_pad($dosen, 86) . $hal.'/'.$jumhal .
       $_lf.$_lf.$_lf.$_lf.$_lf.$_lf.$_lf;
  return $a;
}
?>
