<?php
// Author: Emanuel Setio Dewo
// 19 April 2006
session_start();
include "db.mysql.php";
include_once "connectdb.php";
include_once "dwo.lib.php";
include_once "parameter.php";
include_once "mhswkeu.sav.php";
Cetak();
include_once "disconnectdb.php";

function Cetak() {
  global $_lf;
  $khsid = $_REQUEST['khsid'];
  $khs = GetFields('khs khs
    left outer join program prg on khs.ProgramID=prg.ProgramID
    left outer join prodi prd on khs.ProdiID=prd.ProdiID
    left outer join mhsw m on khs.MhswID=m.MhswID', 
    'KHSID', $khsid,
    "khs.*, m.BatasStudi, m.Nama as NamaMhsw, m.Autodebet, prg.Nama as PRG, prd.Nama as PRD");
  $_REQUEST['mhswid'] = $khs['MhswID'];
  $_REQUEST['pmbmhswid'] = 1;
  $MhswID = $_REQUEST['mhswid'];
  $thn = GetFields("tahun", "ProgramID='$khs[ProgramID]' and ProdiID='$khs[ProdiID]' and TahunID",
    $khs['TahunID'], "*");
  // Menetapkan KRS atau KPRS
  $skrg = date('Y-m-d');
  // Jika autodebet
  
  if ($khs['Autodebet'] == 'Y') {
    $tglad = FormatTanggal($thn['TglAutodebetSelesai']);
    $tglad2 = FormatTanggal($thn['TglAutodebetSelesai2']);
    $str1 = "Anda harus menyetor ke rekening Anda paling lambat $tglad.";
    $str2 = "untuk di-autodebet oleh bank.";
    $str3 = "Lewat tgl tersebut akan didenda 10% dari BPP SKS.";
    $str4 = "Pembayaran BPP & Denda paling lambat tgl $tglad2.";
  }
  // Jika bukan autodebet
  else {
    if ($thn['TglKRSMulai'] <= $skrg and $skrg <= $thn['TglCetakKSS1']) {
      $tglkrsselesai = FormatTanggal($thn['TglKRSSelesai']);
      $tglcetakkss = FormatTanggal($thn['TglCetakKSS1']);
      $str1 = "KRS ini harus diserahkan ke BAA paling lambat";
      $str2 = "tanggal $tglkrsselesai. Lewat tanggal ini Anda terkena";
      $str3 = "denda 10% sampai tanggal $tglcetakkss.";
      $str4 = "Sesudah tanggal ini, Anda harus CUTI KULIAH.";
    }
    elseif ($thn['TglUbahKRSMulai'] <= $skrg and $skrg <= $thn['TglCetakKSS2']) {
      $tglkrsselesai = FormatTanggal($thn['TglUbahKRSSelesai']);
      $tglcetakkss = FormatTanggal($thn['TglCetakKSS1']);
      $str1 = "KPRS ini harus diserahkan ke BAA paling lambat";
      $str2 = "tanggal $tglkrsselesai. Lewat tanggal ini Anda";
      $str3 = "harus CUTI KULIAH.";
      $str4 = "";
    }
  }
  // Hitung BIPOT mhsw dulu
  PrcBIPOTSesi();
  // Buat file
  $nmf = "tmp/$_SESSION[_Login].dwoprn";
  $f = fopen($nmf, 'w');
  fwrite($f, chr(18).chr(27).chr(15).chr(27).chr(67).chr(33)); // chr67+chr33 -> membuat menjadi 33 baris
  // Buat header
  $mrghdr =  str_pad(' ', 30);
  $mrg = str_pad(' ', 10);
  $hdr = $_lf.$_lf.$_lf.$_lf. 
    $mrghdr . $khs['TahunID'] . ' ' . $thn['Nama'] . $_lf.
    $mrghdr . str_pad($khs['PRD'], 30) .         $str1.$_lf.
    $mrghdr . str_pad($khs['MhswID'], 30) .      $str2.$_lf.
    $mrghdr . str_pad($khs['NamaMhsw'], 30) .    $str3.$_lf.
    $mrghdr . str_pad($khs['BatasStudi'], 30) .  $str4.$_lf.
    $_lf.$_lf.$_lf.$_lf.$_lf;
  fwrite($f, $hdr);
  // Tampilkan isi KRS
  $s = "select krs.*, j.MKKode, j.Nama, j.NamaKelas, j.JenisJadwalID,
    time_format(j.JamMulai, '%H:%i') as JM,
    time_format(j.JamSelesai, '%H:%i') as JS,
    h.Nama as HR
    from krs krs
      left outer join jadwal j on krs.JadwalID=j.JadwalID
      left outer join hari h on j.HariID=h.HariID
    where krs.KHSID='$khsid' and krs.NA='N'
    order by j.MKKode, j.JenisJadwalID";
  $r = _query($s);
  $sks = 0;
  while ($w = _fetch_array($r)) {
    $sks += ($w['JenisJadwalID']=='R')? 0 : $w['SKS'];
    $_sks = ($w['JenisJadwalID'] != 'K')? '' : $w['SKS'];
    $w['Nama'] .= ($w['JenisJadwalID'] != 'K')? " ($w[JenisJadwalID])" : '';
    $isi = $mrg . 
      str_pad($w['MKKode'], 8).
      str_pad($w['Nama'], 40).
      str_pad($_sks, 4, ' ', STR_PAD_LEFT) . ' '.
      str_pad($w['NamaKelas'], 3) .
      str_pad($w['HR'], 10). 
      $w['JM'] . '-' .$w['JS'] . ' '.
      $w['CatatanError'].
      $_lf;
    fwrite($f, $isi);
  }
  fwrite($f, str_pad("Total SKS : ", 58, ' ', STR_PAD_LEFT) . 
    str_pad($sks, 4, ' ', STR_PAD_LEFT) . $_lf);
  // Simpan jumlah SKS ke tabel KHS
  $sx = "update khs set TotalSKS=$sks where KHSID=$khs[KHSID]";
  $rx = _query($sx);
  
  // Ambil KRS GAGAL
  $s = "select krs.*, j.MKKode, j.Nama, j.NamaKelas, j.JenisJadwalID,
    time_format(j.JamMulai, '%H:%i') as JM,
    time_format(j.JamSelesai, '%H:%i') as JS,
    h.Nama as HR
    from krs krs
      left outer join jadwal j on krs.JadwalID=j.JadwalID
      left outer join hari h on j.HariID=h.HariID
    where krs.KHSID='$khsid' and krs.NA='Y'
    order by j.MKKode, j.JenisJadwalID";
  $r = _query($s);
  if (_num_rows($r)>0) {
    fwrite($f, $mrg."KRS GAGAL:".$_lf);
    $_sks = ($w['JenisJadwalID'] != 'K')? '' : $w['SKS'];
    $w['Nama'] .= ($w['JenisJadwalID'] != 'K')? " ($w[JenisJadwalID])" : ''; 
    while ($w = _fetch_array($r)) {
      $isi = $mrg . 
      str_pad($w['MKKode'], 8).
      str_pad($w['Nama'], 40).
      str_pad($_sks, 4, ' ', STR_PAD_LEFT) . ' '.
      str_pad($w['NamaKelas'], 3) .        
      str_pad($w['HR'], 10). 
      $w['JM'] . '-' .$w['JS'] . ' '.
      $w['CatatanError'].
      $_lf;
      fwrite($f, $isi);
    }
    fwrite($f, $_lf);
  }
  // Ambil BIPOT mhsw
  $s = "select bm.*, LEFT(bn.Nama, 14) as BNama
    from bipotmhsw bm
      left outer join bipotnama bn on bm.BIPOTNamaID=bn.BIPOTNamaID
    where bm.MhswID='$MhswID' and bm.TahunID='$khs[TahunID]'
    order by bn.Urutan";
  //fwrite($f, $s);
  $r = _query($s); $tbia = 0;
  $arrbia = array(); $col = 0; $mcol = 4;
  fwrite($f, $_lf);
  while ($w = _fetch_array($r)) {
    $bia = $w['TrxID'] * $w['Jumlah'] * $w['Besar'];
    $tbia += $bia;
    $_bia = number_format($bia);
    $isi = str_pad($w['BNama'], 15).
      str_pad($_bia, 12, ' ', STR_PAD_LEFT). '  ';
    if ($col < $mcol) {
    }
    else {
      fwrite($f, $_lf);
      $col = 0;
    }
    if ($col == 0) fwrite($f, $mrg);
    $col++;
    fwrite($f, $isi);
  }
  fwrite($f, $_lf.$mrg. "Tot Biaya:  Rp ". str_pad(number_format($tbia), 12, ' ', STR_PAD_LEFT).$_lf);
  $tgl = date('d-m-Y  H:i');
  fwrite($f, str_pad("Dicetak oleh: $_SESSION[_Login], $tgl", 114, ' ', STR_PAD_LEFT).$_lf);
  
  // Tutup file
  fwrite($f, chr(12));
  fclose($f);
  // Tambahkan counter cetak KRS
  $s = "update khs set CetakKRS=CetakKRS+1 where KHSID=$khs[KHSID]";
  $r = _query($s);
  if (empty($_REQUEST['prn'])) {
    TampilkanFileDWOPRN($nmf, "krs");
  }
  else {
    include_once "dwoprn.php";
    DownloadDWOPRN($nmf);
  }
}
?>
