<?php
// Author: Emanuel Setio Dewo
// 14 March 2006
// www.sisfokampus.net

// *** Functions ***
function HeaderKRSMhsw($mhsw, $datatahun, $khs) {
  global $_LevelPaketKRS, $_LevelMundurKRS;

  $KRSMulai = FormatTanggal($datatahun['TglKRSMulai']);
  $KRSSelesai = FormatTanggal($datatahun['TglKRSSelesai']);
  $UbahKRSMulai = FormatTanggal($datatahun['TglUbahKRSMulai']);
  $UbahKRSSelesai = FormatTanggal($datatahun['TglUbahKRSSelesai']);
  $Cuti = FormatTanggal($datatahun['TglCuti']);
  $Mundur = FormatTanggal($datatahun['TglMundur']);
  $KuliahMulai = FormatTanggal($datatahun['TglKuliahMulai']);
  $KuliahSelesai = FormatTanggal($datatahun['TglKuliahSelesai']);
  $BayarMulai = FormatTanggal($datatahun['TglBayarMulai']);
  $BayarSelesai = FormatTanggal($datatahun['TglBayarSelesai']);
  $PA = GetaField('dosen', "Login", 
    $mhsw['PenasehatAkademik'], "concat(Nama, ', ', Gelar)");
  
  // Dapat mengakses Paket KRS?
  if (strpos($_LevelPaketKRS, '.'.$_SESSION['_LevelID'].'.') === false) {
    $btn = '';
    $bnt1 = '';
  }
  else {
    $btn = "<input type=button name='Paket' value='Paket KRS' onClick=\"location='?mnux=krs&gos=PaketKRS'\">";
    $btn1 = "<input type=button name='Cetak' value='Cetak KRS' onClick=\"location='krs.cetak.php?khsid=$khs[KHSID]&prn=1'\">";
  }
  echo "<p><table class=box cellspacing=1 cellpadding=4>
  <tr><td class=inp2><b>Mhsw</b></td>
    <td class=inp>NPM</td><td class=ul>$mhsw[MhswID]</td>
    <td class=inp>Nama</td><td class=ul>$mhsw[Nama]</td>
    <td class=inp>Program</td><td class=ul>$mhsw[PRG] ($mhsw[ProgramID])</td>
    <td class=inp>Prodi</td><td class=ul>$mhsw[PRD] ($mhsw[ProdiID])</td>
  </tr>
  <tr><td class=inp2><b>Sesi</b></td>
    <td class=inp>Tahun Akd</td><td class=ul>$khs[TahunID] Smt: $khs[Sesi]</td>
    <td class=inp>Status</td><td class=ul>$khs[SM] ($khs[StatusMhswID])</td>
    <td class=inp>Tot SKS</td><td class=ul>$khs[TotalSKS], Max: $khs[MaxSKS]</td>
    <td class=inp>IPS</td><td class=ul>$khs[IPS], IPK: $mhsw[IPK]</td>
  </tr>
  <tr><td class=inp2><b>Batas</b></td>
    <td class=inp>Isi KRS</td><td class=ul>$KRSMulai~$KRSSelesai</td>
    <td class=inp>Ubah KRS</td><td class=ul>$UbahKRSMulai~$UbahKRSSelesai</td>
    <td class=inp>Pengajuan Cuti & Mundur</td><td class=ul>$Cuti & $Mundur</td>
    <td class=inp>Kuliah</td><td class=ul>$KuliahMulai~$KuliahSelesai</td></tr>
  </tr>
  <tr><td class=inp2><b>Pilihan</b></td>
    <td class=ul colspan=2 nowrap>
    $btn $btn1
    <input type=button name='Kembali' value='Kembali' onClick=\"location='?mnux=krs'\">
    </td>
    <td class=inp>Batas Studi</td><td class=ul>$mhsw[BatasStudi]&nbsp;</td>
    <td class=inp>Pembayaran</td><td class=ul>$BayarMulai~$BayarSelesai</td>
    <td class=inp>Penasehat</td><td class=ul>$PA&nbsp;</td>
    </tr>
  </table>";
}
function TuliskanScriptLihatIsiPaket() {
  echo <<<END
  <SCRIPT LANGUAGE="JavaScript1.2">
  <!--
  function LihatIsiPaket(frm) {
    if (frm.MKPaketID.value == '') alert("Anda harus memilih salah satu paket.");
    else {
      lnk = "lihatmkpaket.php?MKPaketID="+frm.MKPaketID.value+"&TahunID="+frm.tahun.value+"&ProgramID="+frm.ProgramID.value+"&ProdiID="+frm.ProdiID.value;
      win2 = window.open(lnk, "", "width=600, height=600, scrollbars, status");
      win2.creator = self;
    }
  }
  //-->
  </SCRIPT>
END;
}
function PaketKRS($mhsw, $datatahun, $khs) {
  // Administrasi paket matakuliah
  TuliskanScriptLihatIsiPaket();
  $optpkt = GetOption2("mkpaket mp
    left outer join kurikulum kur on mp.KurikulumID=kur.KurikulumID", 
    "concat(mp.Nama, ' (', kur.Nama, ')')", "mp.KurikulumID desc, mp.MKPaketID",
    $_SESSION['MKPaketID'], "mp.KodeID='$_SESSION[KodeID]' and mp.ProdiID='$mhsw[ProdiID]'", "MKPaketID", 1);
  echo "<p><table class=box cellspacing=1 cellpadding=4>
  <tr><td class=ul colspan=5><b>Daftar Paket KRS</td></tr>
  <tr>
    <form action='?' name='PKT' method=POST>
    <td class=inp>Nama Paket :</td>
    <input type=hidden name='mnux' value='krs'>
    <input type=hidden name='gos' value=''>
    <input type=hidden name='slnt' value='krs.lib'>
    <input type=hidden name='slntx' value='PaketKRSAmbil'>
    <input type=hidden name='mhswid' value='$mhsw[MhswID]'>
    <input type=hidden name='tahun' value='$khs[TahunID]'>
    <input type=hidden name='khsid' value='$khs[KHSID]'>
    <input type=hidden name='ProdiID' value='$datatahun[ProdiID]'>
    <input type=hidden name='ProgramID' value='$datatahun[ProgramID]'>
    <td class=ul><select name='MKPaketID'>$optpkt</select></td>
    <td class=inp>Kelas :</td><td class=ul><input type=text name='NamaKelas' value='$_SESSION[NamaKelas]' size=5 maxlength=10></td>
    <td class=ul>
    <input type=submit name='Ambil' value='Ambil Paket'>
    <input type=button name='Lihat' value='Lihat Isi Paket' onClick=\"javascript:LihatIsiPaket(PKT)\">
  </td></tr></form>
  
  <tr><td class=inp>Catatan</td><td class=ul colspan=4><ul>
    <li>Cek apakah matakuliah dalam paket telah terjadwal? Klik tombol <font color=navy><b>[Lihat Isi Paket]</b></font>.</li>
    <li>Matakuliah dalam paket yang tidak terjadwal tidak akan dimasukkan ke KRS.</li>
    <li>Jika mahasiswa telah mengambil matakuliah tersebut, maka matakuliah paket tidak ditambahkan.</li>
  </ul></td></tr>
  </table></p>";
  //DftrKRS($mhsw, $datatahun, $khs);
}
// Simpan paket kRS
function PaketKRSAmbil() {
  $MKPaketID = $_REQUEST['MKPaketID'];
  $NamaKelas = $_REQUEST['NamaKelas'];
  $mhswid = $_REQUEST['mhswid'];
  $mhsw = GetFields('mhsw', 'MhswID', $mhswid, "MhswID, Nama, ProdiID, ProgramID, StatusAwalID, StatusMhswID");
  $tahun = $_REQUEST['tahun'];
  $khsid = $_REQUEST['khsid'];
  // Ambil isi paket
  $s = "select mpi.*, mk.MKKode, mk.Nama 
    from mkpaketisi mpi
      left outer join mk mk on mpi.MKID=mk.MKID
    where mpi.MKPaketID='$MKPaketID' ";
  $r = _query($s);
  $psn = '';
  while ($w = _fetch_array($r)) {
    // Apakah sudah diambil?
    $sdh = GetFields("krs k left outer join jadwal j on k.JadwalID=j.JadwalID", 
      "k.KHSID='$khsid' and k.MhswID='$mhswid' and j.MKKode", $w['MKKode'], '*');
    if (empty($sdh)) {
      $psn .= TambahkanPaketKRSMhsw($w, $MKPaketID, $tahun, $NamaKelas, $mhsw, $khsid);
    }
    else $psn .= "<li>Matakuliah <b>$w[MKKode] - $w[Nama]</b> telah diambil mahasiswa.</li>";
  }
  UpdateJumlahKRSMhsw($mhswid, $khsid);
  if (!empty($psn)) {
    $pesankesalahan = "<h3>Berikut adalah pesan kesalahan yang terjadi:</h3><hr size=1 color=red>";
    $pesankesalahan .= "<ul>".$psn."</ul>";
    $pesankesalahan .= "<hr size=1 color=red><input type=button name='Tutup' value='Tutup' onClick=\"window.close()\">";
    $filesalah = "tmp/$_SESSION[_Login].KRS.html";
    $hndsalah = fopen($filesalah, 'w');
    fwrite($hndsalah, $pesankesalahan);
    fclose($hndsalah);
    PopupMsg($filesalah);
  }
}
function TambahkanPaketKRSMhsw($PaketIsi, $MKPaketID, $tahun, $NamaKelas, $mhsw, $khsid) {
  // Daftar matakuliah
  $s = "select j.*
    from jadwal j
    where INSTR(j.ProgramID, '.$mhsw[ProgramID].') >0
      and INSTR(j.ProdiID, '.$mhsw[ProdiID].') >0
      and TahunID='$tahun'
      and j.MKKode='$PaketIsi[MKKode]'
      order by j.NamaKelas";
   $r = _query($s);
   $JmlKelas = _num_rows($r);
   $psn = '';
   $khs = GetFields('khs', 'KHSID', $khsid, '*');
   if ($JmlKelas == 0) {
     $jdwl = GetFields('mk', 'MKID', $PaketIsi['MKID'], 'MKKode, Nama');
     $psn .= "<li>Matakuliah <b>$jdwl[MKKode] - $jdwl[Nama]</b> belum dijadwalkan. Matakuliah tidak ditambahkan pada KRS.</li>";
   }
   // Jika hanya ada 1 kelas, maka langsung ambil saja
   else if (_num_rows($r) == 1) {
     $jdwl = _fetch_array($r);
     SimpanKRSMhsw($mhsw, $tahun, $khs, $jdwl);
   }
   // Jika ada banyak kelas, maka cari kelas yg sesuai. Jika tidak ada, maka ambil default
   else {
     $n = 0; $KelasKetemu = false;
     while ($w = _fetch_array($r)) {
       if ($n == 0) $KelasDef = $w;
       // Jika kelas belum ditemukan
       if (!$KelasKetemu) {
         if ($NamaKelas == $w['NamaKelas']) {
           $KelasKetemu = true;
           SimpanKRSMhsw($mhsw, $tahun, $khs, $w);
         }
       } // Jika sudah ketemu, Do Nothing
     } // end while
     // Jika tidak ketemu
     if (!$KelasKetemu) {
       $psn .= "<li>Kelas tidak ditemukan: $PaketIsi[MKKode]. Diambil kelas yg ada, yaitu: $KelasDef[MKKode] - $KelasDef[Nama] $KelasDef[NamaKelas]).</li>";
     }
   } // end if-else
   return $psn;
}

// *** KRS MHSW ***

function DftrKRS($mhsw, $datatahun, $khs) {
  global $_LevelPaketKRS, $_LevelMundurKRS;
  $s = "select k.*, j.*, jj.Nama as JJ,
    sk.Nama as SK, sk.Ikut, sk.Hitung, k.SKS as SKSnya,
    time_format(j.JamMulai, '%H:%i') as JM,
    time_format(j.JamSelesai, '%H:%i') as JS
    from krs k
      left outer join jadwal j on k.JadwalID=j.JadwalID
      left outer join jenisjadwal jj on j.JenisJadwalID=jj.JenisJadwalID
      left outer join statuskrs sk on k.StatusKRSID=sk.StatusKRSID
    where k.KHSID='$khs[KHSID]' and j.JadwalSer=0
      and k.NA='N'
    order by j.HariID, j.JamMulai, j.MKKode ";
  $r = _query($s);

  // Tampilkan menu
  //<a href=''>Cetak KRS</a> |
  if ((($datatahun['TglKRSMulai'] <= date('Y-m-d')) && (date('Y-m-d') <= $datatahun['TglKRSSelesai'])) ||
      (($datatahun['TglUbahKRSMulai'] <= date('Y-m-d')) && (date('Y-m-d') <= $datatahun['TglUbahKRSSelesai']))) {
    echo "<p><a href='?mnux=krs&gos=KRSAdd'><img src='img/check.gif'> Tambah KRS</a></p>";  
  }
  // $blanko = "<a href='krs.pa.php?khsid=$khs[KHSID]' target=_blank>Blanko Bimbingan Akademik</a>";
  // Tampilkan
  $nomer = 0;
  $hari = -1;
  $totsks = 0;
  $hdrkrs = "<tr><th class=ttl colspan=2>No</th>
    <th class=ttl>Jam</th>
    <th class=ttl>Ruang</th>
    <th class=ttl>Kode MK</th>
    <th class=ttl>Matakuliah</th>
    <th class=ttl title='Kelas'>Kls</th>
    <th class=ttl title='Jenis Kuliah'>Jen</th>
    <th class=ttl>SKS</th>
    <th class=ttl>Dosen</th>
    <th class=ttl>Hrg<br />Std?</td>
    <th class=ttl>Mundur</th>
    <th class=ttl>Status</th>
    </tr>";
  echo "<p><table class=box cellspacing=1 cellpadding=4";
  while ($w = _fetch_array($r)) {
    if ($hari != $w['HariID']) {
      $hari = $w['HariID'];
      $namahari = GetaField('hari', 'HariID', $hari, 'Nama');
      echo "<tr><td class=ul colspan=12><b>$namahari</b></td></tr>";
      echo $hdrkrs;
    }
    $hps = ((($datatahun['TglKRSMulai'] <= date('Y-m-d')) && (date('Y-m-d') <= $datatahun['TglKRSSelesai'])) || 
      (($datatahun['TglUbahKRSMulai'] <= date('Y-m-d')) && (date('Y-m-d') <= $datatahun['TglUbahKRSSelesai'])))? "<a href='?mnux=krs&gos=KRSDel&krsid=$w[KRSID]'><img src='img/del.gif'></a>" : '&nbsp;';
    if (($w['Hitung'] == 'Y') && ($datatahun['TglKRSMulai'] <= date('Y-m-d')) && (date('Y-m-d') <= $datatahun['TglMundur'])) {
      if (strpos($_LevelMundurKRS, '.'.$_SESSION['_LevelID'].'.') === false) $mun = "&nbsp;";
      else $mun = "<a href='?mnux=krs&gos=KRSMundur&krsid=$w[KRSID]'>Mundur</a>";
    }
    else {
      $mun = "&nbsp;";
    }
    $nomer++;
    $totsks += ($w['JenisJadwalID'] == 'K')? $w['SKSAsli'] : 0;
    // Daftar Dosen
    $arrdosen = explode('.', TRIM($w['DosenID'], '.'));
    $strdosen = implode(',', $arrdosen);
    $dosen = (empty($strdosen))? '' : GetArrayTable("select concat(Nama, ', ', Gelar) as NM from dosen where Login in ($strdosen) order by Nama",
      "Login", "NM", '<br />');
    $c = ($w['Hitung'] == 'Y')? 'class=ul' : 'class=nac';
    $hrg = ($w['HargaStandar'] == 'Y')? "<img src='img/$w[HargaStandar].gif'>" : number_format($w['Harga']);
    echo "<tr>
      <td class=inp1>$nomer</td>
      <td $c>$hps</td>
      <td $c>$w[JM]-$w[JS]</td>
      <td $c>$w[RuangID]</td>
      <td $c>$w[MKKode]</td>
      <td $c>$w[Nama]</td>
      <td $c>$w[NamaKelas]&nbsp;</td>
      <td $c align=center title='$w[JJ]'>$w[JenisJadwalID]</td>
      <td $c align=right>$w[SKS]</td>
      <td $c>$dosen&nbsp;</td>
      <td $c align=center>$hrg</td>
      <td $c>$mun</td>
      <td $c>$w[CatatanError]</td>
      </tr>";
  }
  echo "
  <tr><td colspan=8 align=right>Total SKS :</td><td class=ul align=right><b>$totsks</b></td></tr>
  </table></p>";
  GagalKRSMhsw($mhsw, $datatahun, $khs);
}
function JadwalKRSMhsw($mhsw, $datatahun, $khs) {
  $s = "select JadwalID
    from krs
    where KHSID='$khs[KHSID]' and NA='N' order by JadwalID";
  $r = _query($s);
  $hasil = array();
  while ($w = _fetch_array($r)) $hasil[] = $w['JadwalID'];
  return (empty($hasil))? '' : implode(', ', $hasil);
}
function KRSAdd($mhsw, $datatahun, $khs) {
  if ((($datatahun['TglKRSMulai'] <= date('Y-m-d')) && (date('Y-m-d') <= $datatahun['TglKRSSelesai'])) || 
      (($datatahun['TglUbahKRSMulai'] <= date('Y-m-d')) && (date('Y-m-d') <= $datatahun['TglUbahKRSSelesai']))) {}
  else die("KRS sudah tidak dapat diubah");
  // Ambil data KRS
  $kecuali = JadwalKRSMhsw($mhsw, $datatahun, $khs);
  $sqlkecuali = (empty($kecuali))? '' : "and not (j.JadwalID in ($kecuali))";
  // Jadwal
  $s = "select j.*, jj.Nama as JJ,
      time_format(j.JamMulai, '%H:%i') as JM,
      time_format(j.JamSelesai, '%H:%i') as JS
    from jadwal j
      left outer join jenisjadwal jj on j.JenisJadwalID=jj.JenisJadwalID
    where j.TahunID='$khs[TahunID]'
      and j.NA<>'Y'
      and INSTR(j.ProdiID, '.$mhsw[ProdiID].')>0
      $sqlkecuali
    order by j.HariID, j.JamMulai, j.MKKode ";
  $r = _query($s);

  // Tampilkan
  TampilkanJudul("<a href='#Atas'></a>Tambah KRS");
  $hari = -1;
  $kehari = DftrHari();
  $btn = "<tr><td class=ul colspan=12><input type=submit name='Ambil' value='Ambil Matakuliah'>
    <input type=reset name='Reset' value='Reset'>
    <input type=button name='Batal' value='Batal' onClick=\"location='?mnux=krs'\">
    </td></tr>";
  $hdrjdwl = "<tr>
    <th class=ttl>ID</th>
    <th class=ttl>Ambil</th>
    <th class=ttl>Jam</th>
    <th class=ttl>Ruang</th>
    <th class=ttl>Kode MK</th>
    <th class=ttl>Matakuliah</th>
    <th class=ttl>Kelas</th>
    <th class=ttl title='Jenis Kuliah'>Jen</th>
    <th class=ttl>SKS</th>
    <th class=ttl>Dosen</th>
    <th class=ttl title='Apakah harganya standar?'>Hrg<br />Std?</td>
    <th class=ttl title='Matakuliah prasyarat'>Pra</td>
    </tr>";
  echo "<p><table class=box cellspacing=1 cellpadding=4>
    <form action='?' name='krs' method=POST>
    <input type=hidden name='mnux' value='krs'>
    <input type=hidden name='gos' value=''>
    <input type=hidden name='slnt' value='krs.lib'>
    <input type=hidden name='slntx' value='KRSSav'>
    <input type=hidden name='mhswid' value='$mhsw[MhswID]'>
    <input type=hidden name='tahun' value='$khs[TahunID]'>
    <input type=hidden name='khsid' value='$khs[KHSID]'>";
  while ($w = _fetch_array($r)) {
    if ($hari != $w['HariID']) {
      if ($hari > 0) {
        echo $btn;
      }
      $hari = $w['HariID'];
      $namahari = GetaField('hari', 'HariID', $hari, 'Nama');
      echo "<tr><td class=ul colspan=12><a name='$hari'></a><b>$namahari</b>
      <a href='#Atas'>^</a> $kehari</td></tr>";
      echo $hdrjdwl;
    }
    // Daftar Dosen
    $arrdosen = explode('.', TRIM($w['DosenID'], '.'));
    for ($i=0; $i < sizeof($arrdosen); $i++) {
      $arrdosen[$i] = "'". $arrdosen[$i]."'";
    }
    $strdosen = implode(',', $arrdosen);
    $dosen = (empty($strdosen))? '' : GetArrayTable("select concat(Nama, ', ', Gelar) as NM from dosen where Login in ($strdosen) order by Nama",
      "Login", "NM", '<br />');
    $hrg = ($w['HargaStandar'] == 'Y')? "<img src='img/$w[HargaStandar].gif'>" : number_format($w['Harga']);
    // Tampilkan
    $cb = ($w['JadwalSer'] ==0)? "<input type=checkbox name='JDWL[]' value='$w[JadwalID]'>" : " $w[JadwalSer]";
    $arrpra = GetArrayTable("select mk.MKKode
      from mkpra
        left outer join mk on mkpra.PraID=mk.MKID
      where mkpra.MKID='$w[MKID]' ", 
      'MKKode', 'MKKode');
    $arrpra = (empty($arrpra))? "&nbsp;" : $arrpra;
    echo "<tr>
    <td class=inp1>$w[JadwalID]</td>
    <td class=ul align=center>$cb</td>
    <td class=ul>$w[JM]-$w[JS]</td>
    <td class=ul>$w[RuangID]</td>
    <td class=ul>$w[MKKode]</td>
    <td class=ul>$w[Nama]</td>
    <td class=ul>$w[NamaKelas]&nbsp;</td>
    <td class=ul align=center title='$w[JJ]'>$w[JenisJadwalID]</td>
    <td class=ul align=right>$w[SKS] ($w[SKSAsli])</td>
    <td class=ul>$dosen&nbsp;</td>
    <td class=ul align=center>$hrg</td>
    <td class=ul>$arrpra</td>
    </tr>";
  }
  echo $btn;
  echo "</table></p>";
}
function DftrHari() {
  $s = "select HariID, Nama from hari order by HariID";
  $r = _query($s);
  $a = array();
  while ($w = _fetch_array($r)) {
    $a[] = "<a href='#$w[HariID]'>$w[Nama]</a>";
  }
  return implode(', ', $a);
}
function KRSSav() {
  // Data mahasiswa
  $mhswid = $_REQUEST['mhswid'];
  $mhsw = GetFields("mhsw
    left outer join prodi on mhsw.ProdiID=prodi.ProdiID", 
    'MhswID', $mhswid, 'mhsw.*, prodi.CekPrasyarat');
  // Data khs
  $khsid = $_REQUEST['khsid'];
  $khs = GetFields('khs', 'KHSID', $khsid, '*');
  // Data tahun
  $tahun = $_REQUEST['tahun'];
  $datatahun = GetFields('tahun', "KodeID='$_SESSION[KodeID]' and ProgramID='$mhsw[ProgramID]'
    and ProdiID='$mhsw[ProdiID]' and TahunID", $tahun, '*');

  $jdwl = array();
  $jdwl = $_REQUEST['JDWL'];
  if (!empty($jdwl)) {
    $salah = 0;
    $pesan = '';
    // Cek jadwal yg diambil 1 per 1
    for ($i = 0; $i < sizeof($jdwl); $i++) {
      $jad = GetFields("jadwal j
        left outer join hari h on j.HariID=h.HariID",
        'j.JadwalID', $jdwl[$i],
        "j.*, h.Nama as HR");
      // Validasi KRS
      $adasalah = CekKRSMhsw($mhsw, $datatahun, $khs, $jad, $_pesan);
      if ($adasalah == 0) SimpanKRSMhsw($mhsw, $datatahun, $khs, $jad);
      else {
        $salah += $adasalah;
        $pesan .= $_pesan;
        $sudahada = GetaField('krs', "MhswID='$mhsw[MhswID]' and JadwalID", $jdwl[$i], 'JadwalID')+0;
        if ($sudahada == 0) SimpanKRSMhsw($mhsw, $datatahun, $khs, $jad, 'Y', $_pesan);
      }
    }
    if ($adasalah >0) BuatPesanKesalahan($mhsw, $datatahun, $khs, $salah, $pesan);
    UpdateJumlahKRSMhsw($mhsw['MhswID'], $khs['KHSID']);
    ValidasiKuliahResponsi($khs);
  }
  else echo ErrorMsg("Tidak Disimpan",
    "Tidak ada jadwal kuliah yang diambil.");
}
function CekKRSMhsw($mhsw, $datatahun, $khs, $jad, &$_pesan) {
  $pesan = '';
  // Cek 0: Lebih dari MaxSKS nggak?
  $salah = 0;
  if ($jad['JenisJadwalID'] == 'K') {
    $salah += Cek_MaxSKS($mhsw, $datatahun, $khs, $jad, $_psn);
    $pesan .= $_psn;
  }
  // Cek 0: FK --> Jika FK, maka lakukan beberapa pengecekan:
  if ($salah == 0 && $mhsw['ProdiID'] == '10') {
    $salah += Cek_KRSFK($mhsw, $datatahun, $khs, $jad, $_psn);
    $pesan .= $_psn;
  }
  // Cek 1: Sudah diambil belum?
  if ($salah == 0) {
    $salah += Cek_SudahDiambil($mhsw, $datatahun, $khs, $jad, $_psn);
    $pesan .= $_psn;
  }
  // Cek 2: Prasyarat pengambilan Matakuliah
  if ($salah == 0) {
    $salah += Cek_PrasyaratPengambilanMK($mhsw, $datatahun, $khs, $jad, $_psn);
    $pesan .= $_psn;
  }
  // Cek 2A : Ada Matakuliah prasyarat tidak?
  if ($salah == 0) {
    $salah += Cek_MatakuliahPrasyarat($mhsw, $datatahun, $khs, $jad, $_psn);
    $pesan .= $_psn;
  }
  // Cek 3: Bentrok jadwal nggak?
  if ($salah == 0) {
    $salah += Cek_JadwalBentrok($mhsw, $datatahun, $khs, $jad, $_psn);
    $pesan .= $_psn;
  }
  $_pesan = $pesan;
  //echo "<h1>$_pesan</h1>";
  return $salah;
}
function Cek_KRSFK($mhsw, $datatahun, $khs, $jad, &$psn) {
  // Ambil data KRS-MK, cukup ambil 1 MK saja
  $s = "select * 
    from krs 
    where MhswID='$mhsw[MhswID]' and MKID=$jad[MKID]
    order by BobotNilai desc
    limit 1";
  $r = _query($s);
  $w = _fetch_array($r);
  $err = 0;
  // Jika belum pernah ambil:
  if ($jad['NamaKelas'] == 'U') {
    if (empty($w) || $w['GradeNilai']{0} == 'E') {
      $err += 1;
      $psn .= "MK $jad[MKKode] harus kelas BARU";
    }
  }
  if ($jad['NamaKelas'] == 'B') {
    $iya = strpos("ABC", $w['GradeNilai']{0});
    if ($iya === false) {}
    else { 
      $err += 1; 
      $psn .= "MK $jad[MKKode] harus kelas ULANG"; 
    }
  }
  return ($err > 0)? 1 : 0;
}
function Cek_MaxSKS($mhsw, $datatahun, $khs, $jad, &$psn) {
  $n = 0;
  $sksasli = ($jad['JenisJadwalID'] == 'K')? $jad['SKSAsli'] : 0;
  $jml = GetaField('krs left outer join jadwal on krs.JadwalID=jadwal.JadwalID', 
    "krs.NA='N' and jadwal.JenisJadwalID='K' and krs.KHSID", $khs['KHSID'], "sum(krs.SKS)") + $jad['SKSAsli'];
  if ($jml > $khs['MaxSKS']) {
    $n++;
    $psn .= "Akan lebih SKS: $khs[MaxSKS].";
  }
  return $n;
}
function Cek_SudahDiambil($mhsw, $datatahun, $khs, $jad, &$psn) {
  $data = GetaField('krs', "MhswID='$mhsw[MhswID]' and KHSID=$khs[KHSID] and NA='N' and JadwalID",
    $jad['JadwalID'], 'KRSID');
  if (!empty($data) > 0) {
    $psn .= "$jad[MKKode]-$jad[NamaKelas] telah diambil.";
  }
  return (empty($data))? 0 : 1;
}
function Cek_PrasyaratPengambilanMK($mhsw, $datatahun, $khs, $jad, &$_psn) {
  $mk = GetFields('mk', 'MKID', $jad['MKID'], '*');
  // apakah Jumlah SKS mencukupi?
  $psn = '';
  if ($mhsw['TotalSKS'] < $mk['SKSMin']) $psn .= "Jml SKS kurang ($mhsw[JumlahSKS]).";
  // apakah IPK tdk mencukupi?
  if ($mhsw['IPK'] < $mk['IPKMin']) $psn .= "IPK kurang.";
  $_psn .= $psn;
  return (empty($psn))? 0 : 1;
}
function Cek_MatakuliahPrasyarat($mhsw, $datatahun, $khs, $jad, &$_psn) {
  $pesanpra = '';
  $salah = 0;
  //$prd = GetFields('prodi', "ProdiID", $mhsw['ProdiID'], "ProdiID, CekPrasyarat");
  if ($mhsw['CekPrasyarat'] == 'Y') {
    $spr = "select mkpra.MKPraID, mkpra.MKID, mkpra.PraID, 
      mkpra.NilaiID, mkpra.Nilai, mkpra.Bobot, 
      krs.KRSID, krs.GradeNilai, krs.BobotNilai, 
      mk.Nama, mk.MKKode 
      from mkpra 
        left outer join krs on mkpra.PraID=krs.MKID
        and krs.MhswID='$mhsw[MhswID]'
        left outer join mk on mkpra.PraID=mk.MKID
      where mkpra.MKID='$jad[MKID]'
      order by mk.MKKode asc, krs.BobotNilai desc";
    //echo "<pre>$spr</pre>";
    $rpr = _query($spr); $n=0;
    // Cek 1: apa ada yg ganda? Jika ada, ambil nilai yg tertinggi
    $arrpra = array();
    $kdpra = 'abcdefghijklmnopqrstuvwxyz';
    while ($wpr = _fetch_array($rpr)) {
      if ($kdpra != $wpr['MKKode']) {
        $kdpra = $wpr['MKKode'];
        $arrpra[] = "$wpr[MKKode]~$wpr[Bobot]~#$wpr[KRSID]~$wpr[BobotNilai]~$wpr[GradeNilai]";
      }
    }
    // Cek 2: Apakah belum diambil? Apakah nilainya kurang?
    for ($i = 0; $i < sizeof($arrpra); $i++) {
      $_pra = explode('~', $arrpra[$i]);
      // belum diambil?
      $KRSID = TRIM($_pra[2], '#');
      if (empty($KRSID)) {
        $salah++;
        $pesanpra .= "Prasyarat: $_pra[0].";
      }
      // Nilai kurang?
      else if ($_pra[3] < $_pra[1]) {
        $salah++;
        $pesanpra .= "Nilai prasyarat: $_pra[0] ($_pra[4]).";
      }
    }
  } // end-if check prasyarat
  $_psn .= $pesanpra;
  return $salah;
}
function Cek_JadwalBentrok($mhsw, $datatahun, $khs, $jad, &$_psn) {
  $bentrok = '';
  $s = "select k.*,
    j.JadwalID, j.HariID, j.JamMulai, j.JamSelesai,
    j.MKKode, j.Nama, j.SKS, j.NamaKelas, j.JenisJadwalID,
    h.Nama as HR
    from krs k
      left outer join jadwal j on k.JadwalID=j.JadwalID
      left outer join hari h on j.HariID=h.HariID
    where k.KHSID=$khs[KHSID] and k.NA='N'
      and j.HariID=$jad[HariID]
      and ((j.JamMulai <= '$jad[JamMulai]' and '$jad[JamMulai]' <= j.JamSelesai)
      or (j.JamMulai <= '$jad[JamSelesai]' and '$jad[JamSelesai]' <= j.JamSelesai))
    limit 1";
  // Query diberi limit, maksudnya 1 saja jadwal bentrok sudah dapat membuat error.
  $r = _query($s);
  //echo "<pre>$s</pre>";
  $salah = (_num_rows($r) > 0)? 1 : 0;
  if ($salah > 0) {
    $w = _fetch_array($r);
    $KK = ($w['JenisJadwalID'] == 'K')? '' : "(R)";
    $bentrok .= "Bentrok: $w[MKKode]-$w[NamaKelas] $KK.";
  }
  $_psn .= $bentrok;
  return $salah;
}
function SimpanKRSMhsw($mhsw, $datatahun, $khs, $jad, $NA='N', $PesanGagal='') {
  if ($NA=='N') {
    $PesanGagal = (empty($PesanGagal))? "Diterima" : $PesanGagal;
  }
  // Simpan jadwal
  $s = "insert into krs (KHSID, MhswID,
    TahunID, JadwalID,
    MKID, MKKode, SKS, HargaStandar, Harga,
    NA, CatatanError,
    LoginBuat, TanggalBuat)
    values ('$khs[KHSID]', '$mhsw[MhswID]',
    '$khs[TahunID]', '$jad[JadwalID]',
    '$jad[MKID]', '$jad[MKKode]', '$jad[SKS]', '$jad[HargaStandar]', '$jad[Harga]',
    '$NA', '$PesanGagal',
    '$_SESSION[_Login]', now())";
  $r = _query($s);
  /*
  // cek apakah ada responsinya?
  if ($jad['JenisJadwalID'] == 'K') {
    $ada = GetFields('jadwal', "JenisJadwalID<>'K' and NamaKelas='$jad[NamaKelas]' and TahunID='$jad[TahunID]' and ProdiID='$jad[ProdiID]' and ProgramID='$jad[ProgramID]' and MKID", $jad['MKID'], "*");
    if (!empty($ada)) {
      $sdh = GetaField('krs', "JadwalID", $ada['JadwalID'], 'JadwalID');
      // Jika belum ada, maka responsi langsung diambil
      if (empty($sdh)) {
        SimpanKRSMhsw($mhsw, $datatahun, $khs, $ada);
      }
    }
  } */
  // Update jumlah mshw
  UpdateJumlahMhsw($jad['JadwalID']);
}
function ValidasiKuliahResponsi($khs) {
  $arrKR = array('K'=>"Responsi harus diambil", "R"=>"Kuliah harus diambil");
  $s = "select krs.*, j.JenisJadwalID
    from krs
      left outer join jadwal j on krs.JadwalID=j.JadwalID
    where krs.KHSID=$khs[KHSID] 
      and krs.NA='N' ";
  $r = _query($s);
  while ($w = _fetch_array($r)) {
    // Jika ada K/R tapi belum ambil K/R:
    $adaerr = CekKuliahResponsi($khs, $w);
    if ( $adaerr > 0) {
      $s0 = "update krs set CatatanError='". $arrKR[$w['JenisJadwalID']] . "'
        where KRSID=$w[KRSID]";
      $r0 = _query($s0);
    }
    else {
      // Jika sdh beres
      if ($w['CatatanError'] <> 'DITERIMA') {
        $s1 = "update krs set CatatanError='DITERIMA'
          where KRSID=$w[KRSID]";
        $r1 = _query($s1);
      }
    }
  }
}
function CekKuliahResponsi($khs, $w) {
  $arrKR = array("K"=>"R", "R"=>"K");
  // apakah ada matakuliah responsinya?
  $ada = GetaField("jadwal", 
    "TahunID='$khs[TahunID]' and INSTR(ProdiID, '$khs[ProdiID]')>0 and MKID=$w[MKID] and JenisJadwalID",
    $arrKR[$w['JenisJadwalID']], "count(*)")+0;
  $n = 0;
  $arrKR[$w['JenisJadwalID']] . "</p>";
  if ($ada > 0) {
    // Jika ada matakuliah responsinya, cek apakah sudah ada diambil?
    $ambil = GetaField("krs left outer join jadwal on krs.JadwalID=jadwal.JadwalID",
      "krs.KHSID=$khs[KHSID] and krs.MKID=$w[MKID] and jadwal.JenisJadwalID",
      $arrKR[$w['JenisJadwalID']], "count(*)")+0;
    $n = ($ambil == 0)? 1 : 0;
  }
  return $n;
}
function BuatPesanKesalahan($mhsw, $datatahun, $khs, $salah, $pesan) {
  // Ambil file CSS
  $filecss = "css.php";
  $hndcss = fopen($filecss, 'r');
  $isicss = fread($hndcss, filesize($filecss));
  $pesan = TRIM($pesan, '.');
  $_pesan = explode('.', $pesan);
  for ($i = 0; $i < sizeof($_pesan); $i++) 
    $_pesan[$i] = "<li>".$_pesan[$i]."</li>";
  $pesan = implode('', $_pesan);
  fclose($hndcss);
  // Buat pesan kesalahan lengkap
  $pesankesalahan = "$isicss
    <p><center><h3 class=wrn>Ada kesalahan</h3></center></p>
    <p>Ada <b>$salah</b> kesalahan yang terjadi. Karena ada beberapa kesalahan,
    maka beberapa matakuliah di bawah ini tidak ditambahkan dalam KRS mahasiswa:</p>
    <ol>$pesan</ol>
    <hr size=1 color=maroon>
    <input type=button name='Tutup' value='Tutup Pesan' onClick=\"javascript:window.close()\">";
  // Buat file kesalahan
  $filesalah = "tmp/$_SESSION[_Login].KRS.html";
  $hndsalah = fopen($filesalah, 'w');
  fwrite($hndsalah, $pesankesalahan);
  fclose($hndsalah);
  PopupMsg($filesalah);
}
function KRSDel($mhsw, $datatahun, $khs) {
  if ((($datatahun['TglKRSMulai'] <= date('Y-m-d')) && (date('Y-m-d') <= $datatahun['TglKRSSelesai'])) || 
      (($datatahun['TglUbahKRSMulai'] <= date('Y-m-d')) && (date('Y-m-d') <= $datatahun['TglUbahKRSSelesai']))) {}
  else die(ErrorMsg("KRS Sudah Tidak Dapat Diubah",
    "Anda sudah tidak dapat mengubah KRS karena batas waktu sudah lewat"));
  $krsid = $_REQUEST['krsid'];
  $krs = GetFields("krs k
    left outer join jadwal j on k.JadwalID=j.JadwalID
    left outer join hari h on j.HariID=h.HariID",
    "k.KRSID", $krsid, "k.*, j.MKKode, j.Nama, j.NamaKelas, j.SKS, j.SKSAsli, j.JenisJadwalID,
    j.JamMulai, j.JamSelesai, j.HariID, j.DosenID, h.Nama as HR");
  // Daftar Dosen
  $arrdosen = explode('.', TRIM($krs['DosenID'], '.'));
  $strdosen = implode(',', $arrdosen);
  $dosen = (empty($strdosen))? '' : GetArrayTable("select concat(Nama, ', ', Gelar) as NM from dosen where Login in ($strdosen) order by Nama",
    "Login", "NM", '<br />');

  echo Konfirmasi("Konfirmasi Hapus KRS",
  "<p>Anda akan menghapus KRS yang telah Anda ambil, yaitu:</p>
  <p><table class=box cellspacing=1 cellpadding=4>
  <tr>
    <td class=inp1>Hari</td><td class=ul>$krs[HR]</td>
    <td class=inp1>Jam</td><td class=ul>$krs[JamMulai]-$krs[JamSelesai]</td></tr>
  <tr>
    <td class=inp1>Kode MK</td><td class=ul>$krs[MKKode]</td>
    <td class=inp1>Matakuliah</td><td class=ul>$krs[Nama]</td></tr>
  <tr>
    <td class=inp1>Kelas</td><td class=ul>$krs[NamaKelas]</td>
    <td class=inp1>SKS</td><td class=ul>$krs[SKSAsli]</td></tr>
  <tr>
    <td class=inp1>Jenis</td><td class=ul>$krs[JenisJadwalID]</td>
    <td class=inp1>Dosen pengampu</td><td class=ul>$dosen</td></tr>
  </table</p>
  <hr size=1 color=silver>
  <form action='?' method=POST>
  <input type=hidden name='mnux' value='krs'>
  <input type=hidden name='krsid' value='$krsid'>
  <input type=hidden name='gos' value=''>
  <input type=hidden name='slnt' value='krs.lib'>
  <input type=hidden name='slntx' value='KRSDel1'>
  Pilihan: <input type=submit name='Hapus' value='Hapus'>
    <input type=button name='Batal' value='Batal Hapus' onClick=\"location='?mnux=krs'\">
  </form>");
}
function KRSDel1() {
  $krsid = $_REQUEST['krsid'];
  $krs = GetFields("krs", "KRSID", $krsid, "MhswID, KHSID, JadwalID");
  $s = "delete from krs where KRSID='$krsid' ";
  $r = _query($s);
  UpdateJumlahKRSMhsw($krs['MhswID'], $krs['KHSID']);
  UpdateJumlahMhsw($krs['JadwalID']);
  // validasi semua MK
  $khs = GetFields('khs', 'KHSID', $krs['KHSID'], '*');
  ValidasiKuliahResponsi($khs);
}
function KRSMundur1() {
  $krsid = $_REQUEST['krsid'];
  $krs = GetFields("krs", "KRSID", $krsid, "MhswID, KHSID, JadwalID");
  //$mundur = GetaField('statuskrs', 'Hitung', 'N', 'StatusKRSID');
  $mundur = 'M';
  $s = "update krs set StatusKRSID='$mundur' where KRSID='$krsid' ";
  $r = _query($s);
  UpdateJumlahKRSMhsw($krs['MhswID'], $krs['KHSID']);
  UpdateJumlahMhsw($krs['JadwalID']);
}
function KRSMundur($mhsw, $datatahun, $khs) {
  if (date('Y-m-d') > $datatahun['TglMundur']) die("Sudah tidak dapat mundur");
  $krsid = $_REQUEST['krsid'];
  $krs = GetFields("krs k
    left outer join jadwal j on k.JadwalID=j.JadwalID
    left outer join hari h on j.HariID=h.HariID",
    "k.KRSID", $krsid, "k.*, j.MKKode, j.Nama, j.SKS, j.SKSAsli,
    j.JamMulai, j.JamSelesai, j.HariID, j.DosenID, h.Nama as HR");
  // Daftar Dosen
  $arrdosen = explode('.', TRIM($krs['DosenID'], '.'));
  $strdosen = implode(',', $arrdosen);
  $dosen = (empty($strdosen))? '' : GetArrayTable("select concat(Nama, ', ', Gelar) as NM from dosen where Login in ($strdosen) order by Nama",
    "Login", "NM", '<br />');

  echo Konfirmasi("Konfirmasi Mundur Matakuliah",
  "<p>Anda akan mengundurkan diri dari matakuliah ini?</p>
  <p><table class=box cellspacing=1 cellpadding=4>
  <tr><td class=inp1>Hari</td><td class=ul>$krs[HR]</td></tr>
  <tr><td class=inp1>Jam</td><td class=ul>$krs[JamMulai]-$krs[JamSelesai]</td></tr>
  <tr><td class=inp1>Kode MK</td><td class=ul>$krs[MKKode]</td></tr>
  <tr><td class=inp1>Matakuliah</td><td class=ul>$krs[Nama]</td></tr>
  <tr><td class=inp1>SKS</td><td class=ul>$krs[SKSAsli]</td></tr>
  <tr><td class=inp1>Dosen pengampu</td><td class=ul>$dosen</td></tr>
  </table</p>
  <hr size=1 color=silver>
  <form action='?' method=POST>
  <input type=hidden name='mnux' value='krs'>
  <input type=hidden name='krsid' value='$krsid'>
  <input type=hidden name='gos' value=''>
  <input type=hidden name='slnt' value='krs.lib'>
  <input type=hidden name='slntx' value='KRSMundur1'>
  Pilihan: <input type=submit name='Mundur' value='Mundur'>
    <input type=button name='Batal' value='Batal Mundur' onClick=\"location='?mnux=krs'\">
  </form>");

}
function UpdateJumlahKRSMhsw($mhswid, $khsid) {
  $arrjml = GetFields("krs k
    left outer join jadwal j on k.JadwalID=j.JadwalID",
    "k.NA='N' and JenisJadwalID='K' and KHSID", $khsid, "sum(k.SKS) as JumlahSKS, count(k.KRSID) as JumlahMK");
  $s = "update khs set TotalSKS='$arrjml[JumlahSKS]', JumlahMK='$arrjml[JumlahMK]'
    where KHSID='$khsid' ";
  $r = _query($s);
}
function UpdateJumlahMhsw($jadwalid) {
  $jml = GetaField('krs', "JadwalID", $jadwalid, "count(KRSID)")+0;
  $s = "update jadwal set JumlahMhsw=$jml where JadwalID=$jadwalid ";
  $r = _query($s);
}
function GagalKRSMhsw($mhsw, $datatahun, $khs) {
  $_LevelByPass = ".1.40.41.50.";
  $s = "select krs.KRSID, krs.KHSID, krs.CatatanError, j.*, h.Nama as HR
    from krs krs
      left outer join jadwal j on krs.JadwalID=j.JadwalID
      left outer join hari h on j.HariID=h.HariID
    where krs.NA='Y'
      and krs.MhswID='$mhsw[MhswID]'
      and krs.KHSID='$khs[KHSID]'
    order by j.MKKode";
  $r = _query($s);
  if (_num_rows($r) > 0) {
    echo "<p><table class=box cellspacing=1 cellpadding=4>
    <tr><td colspan=7><img src='img/kali.png'> <b>KRS yang Gagal</b> &nbsp;&nbsp;&nbsp;
      <input type=button name='Hapus' value='Hapus Semua KRS Gagal' onClick=\"location='?mnux=krs&gos=GagalKRSMhswDel&khsid=$khs[KHSID]'\">
    </td></tr>
    <tr><th class=ttl>#</th>
      <th class=ttl title='Berikan Dispensasi'>Disp</th>
      <th class=ttl>Kode</th>
      <th class=ttl>Matakuliah</th>
      <th class=ttl>Kls</th>
      <th class=ttl>Jen</th>
      <th class=ttl>Hari</th>
      <th class=ttl>Jam</th>
      <th class=ttl>Catatan</th>
      </tr>";
    $n = 0;
    while ($w = _fetch_array($r)) {
      $n++;
      $byps = (strpos($_LevelByPass, '.'.$_SESSION['_LevelID'].'.') === false)? '&nbsp;' :
        "<input type=checkbox name='Dispens' value='Dispensasi' onClick=\"location='?mnux=krs&gos=GagalKRSDisp&krsid=$w[KRSID]'\">";
      echo "<tr><td class=inp>$n</td>
      <td class=ul align=center>$byps</td>
      <td class=ul nowrap>$w[MKKode]</td>
      <td class=ul>$w[Nama]</td>
      <td class=ul>$w[NamaKelas]</td>
      <td class=ul>$w[JenisJadwalID]</td>
      <td class=ul>$w[HR]</td>
      <td class=ul>$w[JamMulai] ~ $w[JamSelesai]</td>
      <td class=ul>$w[CatatanError]</td>
      </tr>";
    }
    echo "</table></p>";
  }
}
function GagalKRSMhswDel($mhsw, $datatahun, $khs) {
  $khsid = $_REQUEST['khsid'];
  $s = "delete from krs where KHSID='$khsid' and NA='Y' ";
  $r = _query($s);
  DftrKRS($mhsw, $datatahun, $khs);
}
function GagalKRSDisp($mhsw, $datatahun, $khs) {
  $krsid = $_REQUEST['krsid'];
  $krs = GetFields("krs krs
    left outer join jadwal j on krs.JadwalID=j.JadwalID",
    "KRSID", $krsid,
    "krs.*, j.JadwalID, j.Nama, j.NamaKelas, j.MKKode, j.JenisJadwalID, j.HariID, 
    j.JamMulai, j.JamSelesai, j.SKS, j.SKSAsli");
  $hr = GetaField('hari', 'HariID', $krs['HariID'], 'Nama');
  $tgldisp = GetDateOption(date('Y-m-d'), 'TanggalDispensasi');
  echo Konfirmasi("Dispensasi KRS",
    "<p>Benar mahasiswa ini mendapatkan dispensasi untuk matakuliah ini?</p>
    <p><table class=box cellspacing=1 cellpadding=4>
    <tr><td class=inp>Matakuliah</td><td class=ul>$krs[MKKode] - $krs[Nama] $krs[NamaKelas]</td></tr>
    <tr><td class=inp>SKS</td><td class=ul>$krs[SKS] ($krs[SKSAsli])</td></tr>
    <tr><td class=inp>Hari, Jam</td><td class=ul>$hr, $krs[JamMulai] ~ $krs[JamSelesai]</td></tr>
    </table></p>
    <p>Jika mahasiswa ini mendapat dispensasi, masukkan formulir di bawah ini.<br />
    Jika tidak, batalkan dengan menekan tombol <b>Batal</b>.</p>
    <p><table class=box cellspacing=1 cellpadding=4>
    <form action='?' method=POST>
    <input type=hidden name='mnux' value='krs'>
    <input type=hidden name='gos' value='GagalKRSDisp1'>
    <input type=hidden name='krsid' value='$krsid'>
    <tr><th class=ttl colspan=2>DISPENSASI</th></tr>
    <tr><td class=inp>Diberikan oleh</td><td class=ul><input type=text name='DispensasiOleh' value='$krs[DispensasiOleh]' size=50 maxlength=50></td></tr>
    <tr><td class=inp>Tanggal Diberikan</td><td class=ul>$tgldisp</td></tr>
    <tr><td class=inp>Catatan</td><td class=ul><textarea name='CatatanDispensasi' cols=40 rows=5>$krs[CatatanDispensasi]</textarea></td></tr>
    <tr><td class=ul colspan=2><input type=submit name='Simpan' value='Berikan Dispensasi'>
      <input type=reset name='Reset' value='Reset'>
      <input type=button name='Batal' value='Batal' onClick=\"location='?mnux=krs'\"></td></tr>
    </form></table>");
}
function GagalKRSDisp1($mhsw, $datatahun, $khs) {
  $krsid = $_REQUEST['krsid'];
  $DispensasiOleh = sqling($_REQUEST['DispensasiOleh']);
  $CatatanDispensasi = sqling($_REQUEST['CatatanDispensasi']);
  $TanggalDispensasi = "$_REQUEST[TanggalDispensasi_y]-$_REQUEST[TanggalDispensasi_m]-$_REQUEST[TanggalDispensasi_d]";
  $s = "update krs set NA='N', Dispensasi='Y', DispensasiOleh='$DispensasiOleh',
    TanggalDispensasi='$TanggalDispensasi', CatatanError=concat('Disp: ', CatatanError), CatatanDispensasi='$CatatanDispensasi'
    where KRSID='$krsid' ";
  $r = _query($s);
  DftrKRS($mhsw, $datatahun, $khs); 
}
?>
