<?php
// Author: Emanuel Setio Dewo
// 19 April 2006

include "db.mysql.php";
include_once "connectdb.php";
include_once "dwo.lib.php";
include_once "parameter.php";
Cetak();
include_once "disconnectdb.php";

function Cetak() {
  global $_lf, $_HeaderPrn;
  $tahun = $_REQUEST['tahun'];
  $prid = $_REQUEST['prid'];
  $prodi = $_REQUEST['prodi'];
  $prd = GetaField('prodi', "ProdiID", $prodi, "Nama");
  $prg = GetaField('program', "ProgramID", $prid, "Nama");
  $thn = GetFields("tahun", "ProgramID='$prid' and ProdiID='$prodi' and TahunID", $tahun, "*");
  $maxcol = 120;
  // Buat file
  $nmf = "tmp/$_SESSION[_Login].dwoprn";
  $f = fopen($nmf, 'w');
  fwrite($f, $_HeaderPrn);
  // Buat Header
  $div = str_pad('-', $maxcol, '-').$_lf;
  $hdr = str_pad("*** Daftar Persentase Kehadiran Dosen ***", $maxcol, ' ', STR_PAD_BOTH) . $_lf.$_lf.
    "Semester      : " . $thn['Nama']. $_lf.
    "Program Studi : " . $prd.$_lf.
    $div .
    "No. No.Dsn    Nama Dosen                    Jenis     Kode      Nama Matakuliah               Kelas  Persen".$_lf.
    $div;
  fwrite($f, $hdr);
  // Data
  $s = "select p.DosenID, d.Nama as DSN, count(p.DosenID) as JML, j.RencanaKehadiran,
      jj.Nama as JJ, j.MKKode, LEFT(j.Nama, 30) as MK, LEFT(j.NamaKelas, 5) as KLS
    from presensi p
      left outer join jadwal j on p.JadwalID=j.JadwalID
      left outer join jenisjadwal jj on j.JenisJadwalID=jj.JenisJadwalID
      left outer join dosen d on p.DosenID=d.Login
    
    where j.TahunID='$tahun'
      and INSTR(j.ProgramID, '.$prid.')>0
      and INSTR(j.ProdiID, '.$prodi.')>0
    group by p.DosenID";
  $r = _query($s);
  $n = 0;
  $hal = 1;
  $brs = 0;
  $maxbrs = 40;
  // Isi
  while ($w = _fetch_array($r)) {
    $n++;
    $prsn = ($w['RencanaKehadiran'] == 0)? '0' : number_format($w['JML']/$w['RencanaKehadiran']*100, 1);
    $prsn .= '% ';
    $isi = str_pad($n, 4) . 
      str_pad($w['DosenID'], 10) .
      str_pad($w['DSN'], 30) . 
      str_pad($w['JJ'], 10) .
      str_pad($w['MKKode'], 10) .
      str_pad($w['MK'], 30) . ' '.
      str_pad($w['KLS'], 5) .
      str_pad(number_format($prsn, 2), 7, ' ', STR_PAD_LEFT).'%'.
      $_lf;
    fwrite($f, $isi);
  }
  
  fwrite($f, $div . 
    str_pad("Akhir Laporan", $maxcol, ' ', STR_PAD_LEFT) .$_lf);
  // Tutup file
  fclose($f);
  if ($_REQUEST['prn'] == 1) {
    include_once "dwoprn.php";
    DownloadDWOPRN($nmf);
  }
  else TampilkanFileDWOPRN($nmf, "");
}
?>
